// SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause)
//
// THIS FILE IS AUTOGENERATED BY CARGO-LIBBPF-GEN!

pub use self::imp::*;

#[allow(dead_code)]
#[allow(non_snake_case)]
#[allow(non_camel_case_types)]
#[allow(clippy::transmute_ptr_to_ref)]
#[allow(clippy::upper_case_acronyms)]
#[warn(single_use_lifetimes)]
mod imp {
    use libbpf_rs::libbpf_sys;
    use libbpf_rs::skel::OpenSkel;
    use libbpf_rs::skel::Skel;
    use libbpf_rs::skel::SkelBuilder;

    fn build_skel_config(
    ) -> libbpf_rs::Result<libbpf_rs::__internal_skel::ObjectSkeletonConfig<'static>> {
        let mut builder = libbpf_rs::__internal_skel::ObjectSkeletonConfigBuilder::new(DATA);
        builder
            .name("audit_bpf")
            .map("__bpf_usdt_specs", false)
            .map("__bpf_usdt_ip_to_spec_id", false)
            .map("ringbuf", false)
            .map(".rodata.str1.1", false)
            .map("audit_b.kconfig", true)
            .prog("new_context")
            .prog("word_data")
            .prog("string_data")
            .prog("blob_data");

        builder.build()
    }

    #[derive(Default)]
    pub struct AuditSkelBuilder {
        pub obj_builder: libbpf_rs::ObjectBuilder,
    }

    impl<'a> SkelBuilder<'a> for AuditSkelBuilder {
        type Output = OpenAuditSkel<'a>;
        fn open(mut self) -> libbpf_rs::Result<OpenAuditSkel<'a>> {
            let mut skel_config = build_skel_config()?;
            let open_opts = self.obj_builder.opts(std::ptr::null());

            let ret =
                unsafe { libbpf_sys::bpf_object__open_skeleton(skel_config.get(), &open_opts) };
            if ret != 0 {
                return Err(libbpf_rs::Error::System(-ret));
            }

            let obj = unsafe { libbpf_rs::OpenObject::from_ptr(skel_config.object_ptr())? };

            Ok(OpenAuditSkel { obj, skel_config })
        }

        fn open_opts(
            self,
            open_opts: libbpf_sys::bpf_object_open_opts,
        ) -> libbpf_rs::Result<OpenAuditSkel<'a>> {
            let mut skel_config = build_skel_config()?;

            let ret =
                unsafe { libbpf_sys::bpf_object__open_skeleton(skel_config.get(), &open_opts) };
            if ret != 0 {
                return Err(libbpf_rs::Error::System(-ret));
            }

            let obj = unsafe { libbpf_rs::OpenObject::from_ptr(skel_config.object_ptr())? };

            Ok(OpenAuditSkel { obj, skel_config })
        }

        fn object_builder(&self) -> &libbpf_rs::ObjectBuilder {
            &self.obj_builder
        }
        fn object_builder_mut(&mut self) -> &mut libbpf_rs::ObjectBuilder {
            &mut self.obj_builder
        }
    }

    pub struct OpenAuditMaps<'a> {
        inner: &'a libbpf_rs::OpenObject,
    }

    impl OpenAuditMaps<'_> {
        pub fn __bpf_usdt_specs(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("__bpf_usdt_specs").unwrap()
        }

        pub fn __bpf_usdt_ip_to_spec_id(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("__bpf_usdt_ip_to_spec_id").unwrap()
        }

        pub fn ringbuf(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("ringbuf").unwrap()
        }

        pub fn kconfig(&self) -> &libbpf_rs::OpenMap {
            self.inner.map("audit_b.kconfig").unwrap()
        }
    }

    pub struct OpenAuditMapsMut<'a> {
        inner: &'a mut libbpf_rs::OpenObject,
    }

    impl OpenAuditMapsMut<'_> {
        pub fn __bpf_usdt_specs(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("__bpf_usdt_specs").unwrap()
        }

        pub fn __bpf_usdt_ip_to_spec_id(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("__bpf_usdt_ip_to_spec_id").unwrap()
        }

        pub fn ringbuf(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("ringbuf").unwrap()
        }

        pub fn kconfig(&mut self) -> &mut libbpf_rs::OpenMap {
            self.inner.map_mut("audit_b.kconfig").unwrap()
        }
    }

    pub struct OpenAuditProgs<'a> {
        inner: &'a libbpf_rs::OpenObject,
    }

    impl OpenAuditProgs<'_> {
        pub fn new_context(&self) -> &libbpf_rs::OpenProgram {
            self.inner.prog("new_context").unwrap()
        }

        pub fn word_data(&self) -> &libbpf_rs::OpenProgram {
            self.inner.prog("word_data").unwrap()
        }

        pub fn string_data(&self) -> &libbpf_rs::OpenProgram {
            self.inner.prog("string_data").unwrap()
        }

        pub fn blob_data(&self) -> &libbpf_rs::OpenProgram {
            self.inner.prog("blob_data").unwrap()
        }
    }

    pub struct OpenAuditProgsMut<'a> {
        inner: &'a mut libbpf_rs::OpenObject,
    }

    impl OpenAuditProgsMut<'_> {
        pub fn new_context(&mut self) -> &mut libbpf_rs::OpenProgram {
            self.inner.prog_mut("new_context").unwrap()
        }

        pub fn word_data(&mut self) -> &mut libbpf_rs::OpenProgram {
            self.inner.prog_mut("word_data").unwrap()
        }

        pub fn string_data(&mut self) -> &mut libbpf_rs::OpenProgram {
            self.inner.prog_mut("string_data").unwrap()
        }

        pub fn blob_data(&mut self) -> &mut libbpf_rs::OpenProgram {
            self.inner.prog_mut("blob_data").unwrap()
        }
    }

    pub mod audit_kconfig_types {
        #[derive(Debug, Copy, Clone)]
        #[repr(C)]
        pub struct kconfig {
            pub LINUX_HAS_BPF_COOKIE: bool,
        }
    }

    pub struct OpenAuditSkel<'a> {
        pub obj: libbpf_rs::OpenObject,
        skel_config: libbpf_rs::__internal_skel::ObjectSkeletonConfig<'a>,
    }

    impl<'a> OpenSkel for OpenAuditSkel<'a> {
        type Output = AuditSkel<'a>;
        fn load(mut self) -> libbpf_rs::Result<AuditSkel<'a>> {
            let ret = unsafe { libbpf_sys::bpf_object__load_skeleton(self.skel_config.get()) };
            if ret != 0 {
                return Err(libbpf_rs::Error::System(-ret));
            }

            let obj = unsafe { libbpf_rs::Object::from_ptr(self.obj.take_ptr())? };

            Ok(AuditSkel {
                obj,
                skel_config: self.skel_config,
                links: AuditLinks::default(),
            })
        }

        fn open_object(&self) -> &libbpf_rs::OpenObject {
            &self.obj
        }

        fn open_object_mut(&mut self) -> &mut libbpf_rs::OpenObject {
            &mut self.obj
        }
    }
    impl OpenAuditSkel<'_> {
        pub fn progs(&self) -> OpenAuditProgs<'_> {
            OpenAuditProgs { inner: &self.obj }
        }

        pub fn progs_mut(&mut self) -> OpenAuditProgsMut<'_> {
            OpenAuditProgsMut {
                inner: &mut self.obj,
            }
        }

        pub fn maps(&self) -> OpenAuditMaps<'_> {
            OpenAuditMaps { inner: &self.obj }
        }

        pub fn maps_mut(&mut self) -> OpenAuditMapsMut<'_> {
            OpenAuditMapsMut {
                inner: &mut self.obj,
            }
        }

        pub fn kconfig(&mut self) -> &'_ mut audit_kconfig_types::kconfig {
            unsafe {
                std::mem::transmute::<*mut std::ffi::c_void, &'_ mut audit_kconfig_types::kconfig>(
                    self.skel_config.map_mmap_ptr(4).unwrap(),
                )
            }
        }
    }

    pub struct AuditMaps<'a> {
        inner: &'a libbpf_rs::Object,
    }

    impl AuditMaps<'_> {
        pub fn __bpf_usdt_specs(&self) -> &libbpf_rs::Map {
            self.inner.map("__bpf_usdt_specs").unwrap()
        }

        pub fn __bpf_usdt_ip_to_spec_id(&self) -> &libbpf_rs::Map {
            self.inner.map("__bpf_usdt_ip_to_spec_id").unwrap()
        }

        pub fn ringbuf(&self) -> &libbpf_rs::Map {
            self.inner.map("ringbuf").unwrap()
        }

        pub fn kconfig(&self) -> &libbpf_rs::Map {
            self.inner.map("audit_b.kconfig").unwrap()
        }
    }

    pub struct AuditMapsMut<'a> {
        inner: &'a mut libbpf_rs::Object,
    }

    impl AuditMapsMut<'_> {
        pub fn __bpf_usdt_specs(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("__bpf_usdt_specs").unwrap()
        }

        pub fn __bpf_usdt_ip_to_spec_id(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("__bpf_usdt_ip_to_spec_id").unwrap()
        }

        pub fn ringbuf(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("ringbuf").unwrap()
        }

        pub fn kconfig(&mut self) -> &mut libbpf_rs::Map {
            self.inner.map_mut("audit_b.kconfig").unwrap()
        }
    }

    pub struct AuditProgs<'a> {
        inner: &'a libbpf_rs::Object,
    }

    impl AuditProgs<'_> {
        pub fn new_context(&self) -> &libbpf_rs::Program {
            self.inner.prog("new_context").unwrap()
        }

        pub fn word_data(&self) -> &libbpf_rs::Program {
            self.inner.prog("word_data").unwrap()
        }

        pub fn string_data(&self) -> &libbpf_rs::Program {
            self.inner.prog("string_data").unwrap()
        }

        pub fn blob_data(&self) -> &libbpf_rs::Program {
            self.inner.prog("blob_data").unwrap()
        }
    }

    pub struct AuditProgsMut<'a> {
        inner: &'a mut libbpf_rs::Object,
    }

    impl AuditProgsMut<'_> {
        pub fn new_context(&mut self) -> &mut libbpf_rs::Program {
            self.inner.prog_mut("new_context").unwrap()
        }

        pub fn word_data(&mut self) -> &mut libbpf_rs::Program {
            self.inner.prog_mut("word_data").unwrap()
        }

        pub fn string_data(&mut self) -> &mut libbpf_rs::Program {
            self.inner.prog_mut("string_data").unwrap()
        }

        pub fn blob_data(&mut self) -> &mut libbpf_rs::Program {
            self.inner.prog_mut("blob_data").unwrap()
        }
    }

    #[derive(Default)]
    pub struct AuditLinks {
        pub new_context: Option<libbpf_rs::Link>,
        pub word_data: Option<libbpf_rs::Link>,
        pub string_data: Option<libbpf_rs::Link>,
        pub blob_data: Option<libbpf_rs::Link>,
    }

    pub struct AuditSkel<'a> {
        pub obj: libbpf_rs::Object,
        skel_config: libbpf_rs::__internal_skel::ObjectSkeletonConfig<'a>,
        pub links: AuditLinks,
    }

    unsafe impl Send for AuditSkel<'_> {}
    unsafe impl Sync for AuditSkel<'_> {}

    impl Skel for AuditSkel<'_> {
        fn object(&self) -> &libbpf_rs::Object {
            &self.obj
        }

        fn object_mut(&mut self) -> &mut libbpf_rs::Object {
            &mut self.obj
        }

        fn attach(&mut self) -> libbpf_rs::Result<()> {
            let ret = unsafe { libbpf_sys::bpf_object__attach_skeleton(self.skel_config.get()) };
            if ret != 0 {
                return Err(libbpf_rs::Error::System(-ret));
            }

            self.links = AuditLinks {
                new_context: (|| {
                    Ok(core::ptr::NonNull::new(self.skel_config.prog_link_ptr(0)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }))
                })()?,
                word_data: (|| {
                    Ok(core::ptr::NonNull::new(self.skel_config.prog_link_ptr(1)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }))
                })()?,
                string_data: (|| {
                    Ok(core::ptr::NonNull::new(self.skel_config.prog_link_ptr(2)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }))
                })()?,
                blob_data: (|| {
                    Ok(core::ptr::NonNull::new(self.skel_config.prog_link_ptr(3)?)
                        .map(|ptr| unsafe { libbpf_rs::Link::from_ptr(ptr) }))
                })()?,
            };

            Ok(())
        }
    }
    impl AuditSkel<'_> {
        pub fn progs(&self) -> AuditProgs<'_> {
            AuditProgs { inner: &self.obj }
        }

        pub fn progs_mut(&mut self) -> AuditProgsMut<'_> {
            AuditProgsMut {
                inner: &mut self.obj,
            }
        }

        pub fn maps(&self) -> AuditMaps<'_> {
            AuditMaps { inner: &self.obj }
        }

        pub fn maps_mut(&mut self) -> AuditMapsMut<'_> {
            AuditMapsMut {
                inner: &mut self.obj,
            }
        }

        pub fn kconfig(&mut self) -> &'_ audit_kconfig_types::kconfig {
            unsafe {
                std::mem::transmute::<*mut std::ffi::c_void, &'_ audit_kconfig_types::kconfig>(
                    self.skel_config.map_mmap_ptr(4).unwrap(),
                )
            }
        }
    }

    const DATA: &[u8] = &[
        127, 69, 76, 70, 2, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 247, 0, 0, 0, 1, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 68, 160, 0, 0, 0, 0, 0, 64, 0, 0, 0,
        0, 0, 64, 0, 12, 0, 1, 0, 46, 115, 116, 114, 116, 97, 98, 0, 46, 115, 121, 109, 116, 97,
        98, 0, 46, 116, 101, 120, 116, 0, 117, 115, 100, 116, 0, 46, 109, 97, 112, 115, 0, 108,
        105, 99, 101, 110, 115, 101, 0, 46, 114, 111, 100, 97, 116, 97, 46, 115, 116, 114, 49, 46,
        49, 0, 97, 117, 100, 105, 116, 46, 98, 112, 102, 46, 99, 0, 76, 66, 66, 48, 95, 51, 0, 76,
        66, 66, 48, 95, 52, 0, 76, 66, 66, 48, 95, 55, 0, 76, 66, 66, 49, 95, 51, 0, 76, 66, 66,
        49, 95, 52, 0, 76, 66, 66, 49, 95, 50, 48, 0, 76, 66, 66, 49, 95, 49, 52, 0, 76, 66, 66,
        49, 95, 49, 50, 0, 76, 66, 66, 49, 95, 49, 55, 0, 76, 66, 66, 49, 95, 49, 57, 0, 76, 66,
        66, 50, 95, 51, 0, 76, 66, 66, 50, 95, 52, 0, 76, 66, 66, 50, 95, 55, 0, 76, 66, 66, 51,
        95, 50, 0, 76, 66, 66, 51, 95, 49, 57, 0, 76, 66, 66, 51, 95, 52, 0, 76, 66, 66, 51, 95,
        55, 0, 76, 66, 66, 51, 95, 57, 0, 76, 66, 66, 51, 95, 49, 48, 0, 76, 66, 66, 51, 95, 49,
        51, 0, 76, 66, 66, 51, 95, 49, 49, 0, 76, 66, 66, 51, 95, 49, 50, 0, 76, 66, 66, 51, 95,
        49, 53, 0, 76, 66, 66, 51, 95, 49, 54, 0, 76, 66, 66, 51, 95, 49, 56, 0, 76, 66, 66, 52,
        95, 50, 0, 76, 66, 66, 52, 95, 53, 0, 76, 66, 66, 52, 95, 52, 0, 76, 66, 66, 53, 95, 50, 0,
        76, 66, 66, 53, 95, 56, 0, 76, 66, 66, 53, 95, 53, 0, 76, 66, 66, 53, 95, 52, 0, 76, 66,
        66, 53, 95, 55, 0, 76, 66, 66, 54, 95, 50, 0, 76, 66, 66, 54, 95, 49, 52, 0, 76, 66, 66,
        54, 95, 52, 0, 76, 66, 66, 54, 95, 55, 0, 76, 66, 66, 54, 95, 54, 0, 76, 66, 66, 54, 95,
        49, 51, 0, 76, 66, 66, 54, 95, 49, 48, 0, 76, 66, 66, 54, 95, 49, 50, 0, 98, 112, 102, 95,
        117, 115, 100, 116, 95, 97, 114, 103, 95, 99, 110, 116, 0, 76, 73, 78, 85, 88, 95, 72, 65,
        83, 95, 66, 80, 70, 95, 67, 79, 79, 75, 73, 69, 0, 95, 95, 98, 112, 102, 95, 117, 115, 100,
        116, 95, 105, 112, 95, 116, 111, 95, 115, 112, 101, 99, 95, 105, 100, 0, 95, 95, 98, 112,
        102, 95, 117, 115, 100, 116, 95, 115, 112, 101, 99, 115, 0, 98, 112, 102, 95, 117, 115,
        100, 116, 95, 97, 114, 103, 0, 98, 112, 102, 95, 117, 115, 100, 116, 95, 99, 111, 111, 107,
        105, 101, 0, 110, 101, 119, 95, 99, 111, 110, 116, 101, 120, 116, 0, 114, 105, 110, 103,
        98, 117, 102, 0, 119, 111, 114, 100, 95, 100, 97, 116, 97, 0, 115, 116, 114, 105, 110, 103,
        95, 100, 97, 116, 97, 0, 98, 108, 111, 98, 95, 100, 97, 116, 97, 0, 76, 73, 67, 69, 78, 83,
        69, 0, 46, 114, 101, 108, 46, 116, 101, 120, 116, 0, 46, 114, 101, 108, 117, 115, 100, 116,
        0, 46, 66, 84, 70, 0, 46, 66, 84, 70, 46, 101, 120, 116, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 57, 4, 0, 255, 241, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 69, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 136, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 76, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 144, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 83, 0, 0,
        0, 3, 0, 0, 0, 0, 0, 0, 1, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 90, 0, 0, 0, 3, 0, 0, 0, 0,
        0, 0, 1, 208, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 97, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 224, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 104, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 5, 72, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 112, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 2, 232, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        120, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 4, 40, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 0, 0, 0, 3,
        0, 0, 0, 0, 0, 0, 4, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 136, 0, 0, 0, 3, 0, 0, 0, 0, 0,
        0, 5, 56, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 5, 224, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 151, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 5, 232, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 158, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 6, 72, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        3, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 165, 0, 0, 0, 4, 0, 0,
        0, 0, 0, 0, 0, 248, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 172, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 3,
        24, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 180, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 1, 144, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 187, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 2, 48, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 194, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 2, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 201, 0, 0,
        0, 4, 0, 0, 0, 0, 0, 0, 2, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 209, 0, 0, 0, 4, 0, 0, 0,
        0, 0, 0, 2, 112, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 217, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 2,
        104, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 225, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 2, 72, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 233, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 2, 152, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 241, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 2, 160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 249, 0,
        0, 0, 4, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 4, 0, 0, 0,
        0, 0, 0, 4, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 8, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 5, 128,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 15, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 5, 80, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 1, 22, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 6, 192, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1,
        29, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 8, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 36, 0, 0, 0, 4,
        0, 0, 0, 0, 0, 0, 7, 120, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 43, 0, 0, 0, 4, 0, 0, 0, 0, 0,
        0, 7, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 50, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 8, 32, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 1, 57, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 9, 72, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 1, 64, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 12, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 72, 0,
        0, 0, 4, 0, 0, 0, 0, 0, 0, 9, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 79, 0, 0, 0, 4, 0, 0,
        0, 0, 0, 0, 10, 168, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 86, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 11,
        160, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 93, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 11, 232, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 1, 101, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 11, 40, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 1, 109, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 11, 224, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3,
        0, 0, 7, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 117, 34, 2, 0, 3, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 32, 0, 0, 1, 134, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 155, 33, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 0,
        0, 0, 0, 32, 0, 0, 1, 180, 33, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 32, 0,
        0, 1, 197, 34, 2, 0, 3, 0, 0, 0, 0, 0, 0, 1, 32, 0, 0, 0, 0, 0, 0, 4, 56, 0, 0, 1, 210, 34,
        2, 0, 3, 0, 0, 0, 0, 0, 0, 5, 88, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 226, 18, 0, 0, 4, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 40, 0, 0, 1, 238, 17, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0,
        64, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 1, 246, 18, 0, 0, 4, 0, 0, 0, 0, 0, 0, 3, 40, 0, 0, 0,
        0, 0, 0, 2, 104, 0, 0, 2, 0, 18, 0, 0, 4, 0, 0, 0, 0, 0, 0, 5, 144, 0, 0, 0, 0, 0, 0, 2,
        208, 0, 0, 2, 12, 18, 0, 0, 4, 0, 0, 0, 0, 0, 0, 8, 96, 0, 0, 0, 0, 0, 0, 3, 192, 0, 0, 2,
        22, 17, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4, 24, 32, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 113, 34, 0, 0, 0, 0, 0, 0, 85, 32, 0, 13, 0, 0, 0, 0, 121, 17, 0,
        16, 0, 0, 0, 0, 123, 161, 255, 248, 0, 0, 0, 0, 191, 42, 0, 0, 0, 0, 0, 0, 7, 32, 0, 0,
        255, 255, 255, 248, 24, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0,
        0, 1, 191, 16, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 255, 255, 255, 253, 0, 0, 0, 0, 0, 0, 0, 0,
        21, 16, 0, 3, 0, 0, 0, 0, 97, 1, 0, 0, 0, 0, 0, 0, 5, 0, 0, 1, 0, 0, 0, 0, 133, 0, 0, 0, 0,
        0, 0, 174, 24, 96, 0, 0, 255, 255, 255, 253, 0, 0, 0, 0, 0, 0, 0, 0, 99, 160, 255, 244, 0,
        0, 0, 0, 103, 0, 0, 0, 0, 0, 0, 32, 199, 0, 0, 0, 0, 0, 0, 32, 183, 16, 0, 0, 0, 0, 0, 0,
        109, 16, 0, 9, 0, 0, 0, 0, 191, 42, 0, 0, 0, 0, 0, 0, 7, 32, 0, 0, 255, 255, 255, 244, 24,
        16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 1, 21, 0, 0, 3, 0, 0,
        0, 0, 105, 96, 0, 200, 0, 0, 0, 0, 103, 96, 0, 0, 0, 0, 0, 48, 199, 96, 0, 0, 0, 0, 0, 48,
        191, 6, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 191, 114, 0, 0, 0, 0, 0, 0, 191, 145,
        0, 0, 0, 0, 0, 0, 183, 16, 0, 0, 0, 0, 0, 0, 123, 49, 0, 0, 0, 0, 0, 0, 24, 16, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 113, 17, 0, 0, 0, 0, 0, 0, 123, 163, 255, 232, 0, 0, 0, 0,
        85, 16, 0, 13, 0, 0, 0, 0, 121, 25, 0, 16, 0, 0, 0, 0, 123, 161, 255, 248, 0, 0, 0, 0, 191,
        42, 0, 0, 0, 0, 0, 0, 7, 32, 0, 0, 255, 255, 255, 248, 24, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 1, 191, 16, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 255, 255,
        255, 253, 0, 0, 0, 0, 0, 0, 0, 0, 21, 16, 0, 4, 0, 0, 0, 0, 97, 1, 0, 0, 0, 0, 0, 0, 5, 0,
        0, 2, 0, 0, 0, 0, 191, 25, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 174, 24, 96, 0, 0, 255,
        255, 255, 253, 0, 0, 0, 0, 0, 0, 0, 0, 99, 160, 255, 244, 0, 0, 0, 0, 103, 0, 0, 0, 0, 0,
        0, 32, 199, 0, 0, 0, 0, 0, 0, 32, 183, 16, 0, 0, 0, 0, 0, 0, 109, 16, 0, 102, 0, 0, 0, 0,
        191, 42, 0, 0, 0, 0, 0, 0, 7, 32, 0, 0, 255, 255, 255, 244, 24, 16, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 1, 191, 128, 0, 0, 0, 0, 0, 0, 21, 128, 0, 95, 0,
        0, 0, 0, 24, 96, 0, 0, 255, 255, 255, 254, 0, 0, 0, 0, 0, 0, 0, 0, 37, 112, 0, 92, 0, 0, 0,
        11, 105, 24, 0, 200, 0, 0, 0, 0, 103, 16, 0, 0, 0, 0, 0, 48, 199, 16, 0, 0, 0, 0, 0, 48,
        61, 113, 0, 88, 0, 0, 0, 0, 191, 23, 0, 0, 0, 0, 0, 0, 103, 16, 0, 0, 0, 0, 0, 4, 191, 40,
        0, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 97, 18, 0, 8, 0, 0, 0, 0, 21, 16, 0, 6, 0, 0,
        0, 2, 21, 16, 0, 45, 0, 0, 0, 1, 24, 96, 0, 0, 255, 255, 255, 234, 0, 0, 0, 0, 0, 0, 0, 0,
        85, 16, 0, 78, 0, 0, 0, 0, 121, 18, 0, 0, 0, 0, 0, 0, 5, 0, 0, 59, 0, 0, 0, 0, 105, 18, 0,
        12, 0, 0, 0, 0, 103, 16, 0, 0, 0, 0, 0, 48, 199, 16, 0, 0, 0, 0, 0, 48, 15, 145, 0, 0, 0,
        0, 0, 0, 191, 26, 0, 0, 0, 0, 0, 0, 7, 16, 0, 0, 255, 255, 255, 248, 191, 98, 0, 0, 0, 0,
        0, 0, 183, 32, 0, 0, 0, 0, 0, 8, 191, 57, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 113,
        191, 38, 0, 0, 0, 0, 0, 0, 191, 96, 0, 0, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 103, 16,
        0, 0, 0, 0, 0, 32, 119, 16, 0, 0, 0, 0, 0, 32, 85, 16, 0, 60, 0, 0, 0, 0, 121, 18, 0, 0, 0,
        0, 0, 0, 121, 58, 255, 248, 0, 0, 0, 0, 15, 49, 0, 0, 0, 0, 0, 0, 191, 26, 0, 0, 0, 0, 0,
        0, 7, 16, 0, 0, 255, 255, 255, 248, 183, 32, 0, 0, 0, 0, 0, 8, 133, 0, 0, 0, 0, 0, 0, 112,
        191, 96, 0, 0, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 103, 16, 0, 0, 0, 0, 0, 32, 119, 16,
        0, 0, 0, 0, 0, 32, 85, 16, 0, 48, 0, 0, 0, 0, 191, 23, 0, 0, 0, 0, 0, 0, 103, 16, 0, 0, 0,
        0, 0, 4, 191, 40, 0, 0, 0, 0, 0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 113, 34, 0, 15, 0, 0, 0, 0,
        103, 32, 0, 0, 0, 0, 0, 56, 199, 32, 0, 0, 0, 0, 0, 56, 103, 32, 0, 0, 0, 0, 0, 32, 119,
        32, 0, 0, 0, 0, 0, 32, 121, 26, 255, 248, 0, 0, 0, 0, 127, 18, 0, 0, 0, 0, 0, 0, 5, 0, 0,
        19, 0, 0, 0, 0, 191, 23, 0, 0, 0, 0, 0, 0, 103, 16, 0, 0, 0, 0, 0, 4, 191, 40, 0, 0, 0, 0,
        0, 0, 15, 33, 0, 0, 0, 0, 0, 0, 105, 18, 0, 12, 0, 0, 0, 0, 103, 16, 0, 0, 0, 0, 0, 48,
        199, 16, 0, 0, 0, 0, 0, 48, 15, 145, 0, 0, 0, 0, 0, 0, 191, 26, 0, 0, 0, 0, 0, 0, 7, 16, 0,
        0, 255, 255, 255, 248, 183, 32, 0, 0, 0, 0, 0, 8, 191, 57, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0,
        0, 0, 0, 113, 191, 96, 0, 0, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 103, 16, 0, 0, 0, 0, 0,
        32, 119, 16, 0, 0, 0, 0, 0, 32, 85, 16, 0, 18, 0, 0, 0, 0, 121, 26, 255, 248, 0, 0, 0, 0,
        121, 90, 255, 232, 0, 0, 0, 0, 103, 112, 0, 0, 0, 0, 0, 4, 15, 135, 0, 0, 0, 0, 0, 0, 113,
        40, 0, 15, 0, 0, 0, 0, 103, 32, 0, 0, 0, 0, 0, 56, 199, 32, 0, 0, 0, 0, 0, 56, 103, 32, 0,
        0, 0, 0, 0, 32, 119, 32, 0, 0, 0, 0, 0, 32, 111, 18, 0, 0, 0, 0, 0, 0, 191, 49, 0, 0, 0, 0,
        0, 0, 127, 50, 0, 0, 0, 0, 0, 0, 113, 72, 0, 14, 0, 0, 0, 0, 21, 64, 0, 2, 0, 0, 0, 0, 207,
        18, 0, 0, 0, 0, 0, 0, 191, 49, 0, 0, 0, 0, 0, 0, 123, 83, 0, 0, 0, 0, 0, 0, 183, 96, 0, 0,
        0, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 24, 32, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 113, 34, 0, 0, 0, 0, 0, 0, 85, 32, 0, 13, 0, 0, 0, 0, 121, 17, 0,
        16, 0, 0, 0, 0, 123, 161, 255, 248, 0, 0, 0, 0, 191, 42, 0, 0, 0, 0, 0, 0, 7, 32, 0, 0,
        255, 255, 255, 248, 24, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0,
        0, 1, 191, 16, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 255, 255, 255, 253, 0, 0, 0, 0, 0, 0, 0, 0,
        21, 16, 0, 3, 0, 0, 0, 0, 97, 1, 0, 0, 0, 0, 0, 0, 5, 0, 0, 1, 0, 0, 0, 0, 133, 0, 0, 0, 0,
        0, 0, 174, 99, 160, 255, 244, 0, 0, 0, 0, 103, 0, 0, 0, 0, 0, 0, 32, 199, 0, 0, 0, 0, 0, 0,
        32, 183, 96, 0, 0, 0, 0, 0, 0, 109, 96, 0, 7, 0, 0, 0, 0, 191, 42, 0, 0, 0, 0, 0, 0, 7, 32,
        0, 0, 255, 255, 255, 244, 24, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0,
        0, 0, 0, 1, 21, 0, 0, 1, 0, 0, 0, 0, 121, 96, 0, 192, 0, 0, 0, 0, 191, 6, 0, 0, 0, 0, 0, 0,
        149, 0, 0, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0, 0, 0, 0, 191, 58, 0, 0, 0, 0, 0, 0, 7, 48, 0,
        0, 255, 255, 255, 160, 183, 32, 0, 0, 0, 0, 0, 0, 133, 1, 0, 0, 255, 255, 255, 255, 121,
        138, 255, 160, 0, 0, 0, 0, 191, 58, 0, 0, 0, 0, 0, 0, 7, 48, 0, 0, 255, 255, 255, 160, 191,
        22, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 1, 133, 1, 0, 0, 255, 255, 255, 255, 121,
        154, 255, 160, 0, 0, 0, 0, 191, 42, 0, 0, 0, 0, 0, 0, 7, 32, 0, 0, 255, 255, 255, 160, 191,
        22, 0, 0, 0, 0, 0, 0, 183, 48, 0, 0, 0, 0, 0, 32, 183, 64, 0, 0, 0, 0, 9, 0, 133, 0, 0, 0,
        0, 0, 0, 67, 191, 112, 0, 0, 0, 0, 0, 0, 191, 23, 0, 0, 0, 0, 0, 0, 103, 16, 0, 0, 0, 0, 0,
        32, 199, 16, 0, 0, 0, 0, 0, 32, 101, 16, 0, 8, 255, 255, 255, 255, 24, 16, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 37, 24, 48, 0, 0, 0, 0, 0, 37, 0, 0, 0,
        0, 0, 0, 0, 0, 191, 71, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 6, 5, 0, 0, 68, 0, 0, 0,
        0, 183, 112, 0, 0, 0, 0, 0, 0, 24, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 32,
        0, 0, 0, 0, 0, 120, 183, 48, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 131, 191, 96, 0, 0,
        0, 0, 0, 0, 85, 96, 0, 11, 0, 0, 0, 0, 24, 112, 0, 0, 255, 255, 255, 244, 0, 0, 0, 0, 0, 0,
        0, 0, 24, 16, 0, 0, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 43, 24,
        48, 0, 0, 0, 0, 0, 37, 0, 0, 0, 0, 0, 0, 0, 0, 24, 64, 0, 0, 255, 255, 255, 244, 0, 0, 0,
        0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 6, 5, 0, 0, 49, 0, 0, 0, 0, 99, 103, 0, 8, 0, 0, 0,
        0, 183, 16, 0, 0, 0, 0, 0, 120, 123, 97, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 14, 123,
        104, 0, 24, 0, 0, 0, 0, 123, 96, 0, 16, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 125, 123, 105,
        0, 40, 0, 0, 0, 0, 123, 96, 0, 32, 0, 0, 0, 0, 183, 16, 0, 0, 0, 0, 0, 0, 191, 42, 0, 0, 0,
        0, 0, 0, 7, 32, 0, 0, 255, 255, 255, 160, 15, 33, 0, 0, 0, 0, 0, 0, 183, 48, 0, 0, 0, 0, 0,
        4, 101, 48, 0, 5, 0, 0, 0, 3, 21, 48, 0, 9, 0, 0, 0, 1, 21, 48, 0, 1, 0, 0, 0, 2, 5, 0, 0,
        10, 0, 0, 0, 0, 105, 18, 0, 0, 0, 0, 0, 0, 5, 0, 0, 8, 0, 0, 0, 0, 21, 48, 0, 6, 0, 0, 0,
        4, 21, 48, 0, 1, 0, 0, 0, 8, 5, 0, 0, 5, 0, 0, 0, 0, 121, 18, 0, 0, 0, 0, 0, 0, 5, 0, 0, 3,
        0, 0, 0, 0, 113, 18, 0, 0, 0, 0, 0, 0, 5, 0, 0, 1, 0, 0, 0, 0, 97, 18, 0, 0, 0, 0, 0, 0,
        103, 16, 0, 0, 0, 0, 0, 32, 183, 32, 0, 0, 0, 0, 0, 1, 21, 32, 0, 2, 0, 0, 0, 0, 199, 16,
        0, 0, 0, 0, 0, 32, 5, 0, 0, 1, 0, 0, 0, 0, 119, 16, 0, 0, 0, 0, 0, 32, 87, 16, 0, 0, 0, 0,
        0, 1, 21, 16, 0, 10, 0, 0, 0, 0, 183, 16, 0, 0, 0, 0, 0, 20, 123, 97, 0, 112, 0, 0, 0, 0,
        183, 16, 0, 0, 0, 0, 0, 4, 191, 58, 0, 0, 0, 0, 0, 0, 7, 48, 0, 0, 255, 255, 255, 160, 15,
        49, 0, 0, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 7, 16, 0, 0, 0, 0, 0, 48, 183, 32, 0, 0,
        0, 0, 0, 20, 133, 0, 0, 0, 0, 0, 0, 113, 191, 22, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0,
        0, 133, 0, 0, 0, 0, 0, 0, 132, 191, 7, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 191, 97,
        0, 0, 0, 0, 0, 0, 191, 58, 0, 0, 0, 0, 0, 0, 7, 48, 0, 0, 255, 255, 255, 248, 183, 32, 0,
        0, 0, 0, 0, 0, 133, 1, 0, 0, 255, 255, 255, 255, 121, 138, 255, 248, 0, 0, 0, 0, 191, 58,
        0, 0, 0, 0, 0, 0, 7, 48, 0, 0, 255, 255, 255, 248, 191, 22, 0, 0, 0, 0, 0, 0, 183, 32, 0,
        0, 0, 0, 0, 1, 133, 1, 0, 0, 255, 255, 255, 255, 121, 122, 255, 248, 0, 0, 0, 0, 191, 58,
        0, 0, 0, 0, 0, 0, 7, 48, 0, 0, 255, 255, 255, 248, 191, 22, 0, 0, 0, 0, 0, 0, 183, 32, 0,
        0, 0, 0, 0, 2, 133, 1, 0, 0, 255, 255, 255, 255, 121, 26, 255, 248, 0, 0, 0, 0, 123, 161,
        255, 240, 0, 0, 0, 0, 183, 144, 0, 0, 0, 0, 0, 120, 24, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 120, 183, 48, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0,
        131, 191, 96, 0, 0, 0, 0, 0, 0, 85, 96, 0, 11, 0, 0, 0, 0, 24, 112, 0, 0, 255, 255, 255,
        244, 0, 0, 0, 0, 0, 0, 0, 0, 24, 16, 0, 0, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 183, 32, 0,
        0, 0, 0, 0, 43, 24, 48, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 0, 0, 24, 64, 0, 0, 255, 255,
        255, 244, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 6, 5, 0, 0, 37, 0, 0, 0, 0, 183,
        16, 0, 0, 0, 0, 0, 1, 99, 97, 0, 8, 0, 0, 0, 0, 123, 105, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0,
        0, 0, 0, 14, 123, 104, 0, 24, 0, 0, 0, 0, 123, 96, 0, 16, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0,
        0, 125, 183, 16, 0, 0, 0, 0, 0, 0, 99, 97, 0, 40, 0, 0, 0, 0, 123, 96, 0, 32, 0, 0, 0, 0,
        191, 22, 0, 0, 0, 0, 0, 0, 7, 16, 0, 0, 0, 0, 0, 44, 183, 32, 0, 0, 0, 0, 0, 64, 191, 55,
        0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 114, 191, 112, 0, 0, 0, 0, 0, 0, 191, 23, 0, 0, 0,
        0, 0, 0, 103, 16, 0, 0, 0, 0, 0, 32, 199, 16, 0, 0, 0, 0, 0, 32, 101, 16, 0, 11, 255, 255,
        255, 255, 24, 16, 0, 0, 0, 0, 0, 198, 0, 0, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 35,
        24, 48, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 0, 0, 191, 71, 0, 0, 0, 0, 0, 0, 133, 0, 0,
        0, 0, 0, 0, 6, 191, 22, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0,
        133, 5, 0, 0, 6, 0, 0, 0, 0, 121, 26, 255, 240, 0, 0, 0, 0, 123, 97, 0, 112, 0, 0, 0, 0,
        183, 112, 0, 0, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 0, 133, 0,
        0, 0, 0, 0, 0, 132, 191, 7, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 191, 97, 0, 0, 0,
        0, 0, 0, 191, 58, 0, 0, 0, 0, 0, 0, 7, 48, 0, 0, 255, 255, 255, 248, 183, 32, 0, 0, 0, 0,
        0, 0, 133, 1, 0, 0, 255, 255, 255, 255, 121, 154, 255, 248, 0, 0, 0, 0, 191, 58, 0, 0, 0,
        0, 0, 0, 7, 48, 0, 0, 255, 255, 255, 248, 191, 22, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0,
        0, 1, 133, 1, 0, 0, 255, 255, 255, 255, 121, 122, 255, 248, 0, 0, 0, 0, 191, 58, 0, 0, 0,
        0, 0, 0, 7, 48, 0, 0, 255, 255, 255, 248, 191, 22, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0,
        0, 2, 133, 1, 0, 0, 255, 255, 255, 255, 121, 26, 255, 248, 0, 0, 0, 0, 123, 161, 255, 240,
        0, 0, 0, 0, 183, 128, 0, 0, 0, 0, 0, 184, 24, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        183, 32, 0, 0, 0, 0, 0, 184, 183, 48, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 131, 191,
        96, 0, 0, 0, 0, 0, 0, 85, 96, 0, 11, 0, 0, 0, 0, 24, 112, 0, 0, 255, 255, 255, 244, 0, 0,
        0, 0, 0, 0, 0, 0, 24, 16, 0, 0, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0,
        0, 43, 24, 48, 0, 0, 0, 0, 0, 233, 0, 0, 0, 0, 0, 0, 0, 0, 24, 64, 0, 0, 255, 255, 255,
        244, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 6, 5, 0, 0, 50, 0, 0, 0, 0, 123, 104,
        0, 0, 0, 0, 0, 0, 183, 128, 0, 0, 0, 0, 0, 1, 99, 104, 0, 8, 0, 0, 0, 0, 133, 0, 0, 0, 0,
        0, 0, 14, 123, 105, 0, 24, 0, 0, 0, 0, 123, 96, 0, 16, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0,
        125, 99, 104, 0, 40, 0, 0, 0, 0, 123, 96, 0, 32, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 7,
        16, 0, 0, 0, 0, 0, 44, 183, 32, 0, 0, 0, 0, 0, 64, 191, 55, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0,
        0, 0, 0, 114, 191, 112, 0, 0, 0, 0, 0, 0, 191, 23, 0, 0, 0, 0, 0, 0, 103, 16, 0, 0, 0, 0,
        0, 32, 199, 16, 0, 0, 0, 0, 0, 32, 101, 16, 0, 4, 255, 255, 255, 255, 24, 16, 0, 0, 0, 0,
        0, 198, 0, 0, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 35, 5, 0, 0, 13, 0, 0, 0, 0, 191,
        22, 0, 0, 0, 0, 0, 0, 7, 16, 0, 0, 0, 0, 0, 112, 183, 32, 0, 0, 0, 0, 0, 64, 121, 58, 255,
        240, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 114, 191, 112, 0, 0, 0, 0, 0, 0, 191, 23, 0, 0, 0,
        0, 0, 0, 103, 16, 0, 0, 0, 0, 0, 32, 199, 16, 0, 0, 0, 0, 0, 32, 101, 16, 0, 11, 255, 255,
        255, 255, 24, 16, 0, 0, 0, 0, 1, 52, 0, 0, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 36,
        24, 48, 0, 0, 0, 0, 0, 233, 0, 0, 0, 0, 0, 0, 0, 0, 191, 71, 0, 0, 0, 0, 0, 0, 133, 0, 0,
        0, 0, 0, 0, 6, 191, 22, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0,
        133, 5, 0, 0, 6, 0, 0, 0, 0, 87, 112, 0, 0, 0, 0, 0, 63, 123, 103, 0, 176, 0, 0, 0, 0, 183,
        112, 0, 0, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0,
        0, 0, 0, 132, 191, 7, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 191, 129, 0, 0, 0, 0, 0,
        0, 191, 58, 0, 0, 0, 0, 0, 0, 7, 48, 0, 0, 255, 255, 255, 248, 183, 32, 0, 0, 0, 0, 0, 0,
        133, 1, 0, 0, 255, 255, 255, 255, 121, 154, 255, 248, 0, 0, 0, 0, 191, 58, 0, 0, 0, 0, 0,
        0, 7, 48, 0, 0, 255, 255, 255, 248, 191, 24, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 1,
        133, 1, 0, 0, 255, 255, 255, 255, 121, 106, 255, 248, 0, 0, 0, 0, 191, 58, 0, 0, 0, 0, 0,
        0, 7, 48, 0, 0, 255, 255, 255, 248, 191, 24, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 3,
        133, 1, 0, 0, 255, 255, 255, 255, 191, 112, 0, 0, 0, 0, 0, 0, 103, 112, 0, 0, 0, 0, 0, 32,
        199, 112, 0, 0, 0, 0, 0, 32, 101, 112, 0, 8, 255, 255, 255, 255, 24, 16, 0, 0, 0, 0, 1, 88,
        0, 0, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 41, 24, 48, 0, 0, 0, 0, 1, 129, 0, 0, 0, 0,
        0, 0, 0, 0, 191, 71, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 6, 5, 0, 0, 89, 0, 0, 0, 0,
        191, 118, 0, 0, 0, 0, 0, 0, 24, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 183, 32, 0,
        0, 0, 0, 0, 184, 183, 48, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 131, 191, 96, 0, 0, 0,
        0, 0, 0, 85, 96, 0, 11, 0, 0, 0, 0, 24, 112, 0, 0, 255, 255, 255, 244, 0, 0, 0, 0, 0, 0, 0,
        0, 24, 16, 0, 0, 0, 0, 0, 90, 0, 0, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 43, 24, 48,
        0, 0, 0, 0, 1, 129, 0, 0, 0, 0, 0, 0, 0, 0, 24, 64, 0, 0, 255, 255, 255, 244, 0, 0, 0, 0,
        0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 6, 5, 0, 0, 70, 0, 0, 0, 0, 183, 16, 0, 0, 0, 0, 0, 1,
        99, 97, 0, 8, 0, 0, 0, 0, 183, 16, 0, 0, 0, 0, 0, 184, 123, 97, 0, 0, 0, 0, 0, 0, 133, 0,
        0, 0, 0, 0, 0, 14, 123, 105, 0, 24, 0, 0, 0, 0, 123, 96, 0, 16, 0, 0, 0, 0, 133, 0, 0, 0,
        0, 0, 0, 125, 183, 16, 0, 0, 0, 0, 0, 2, 99, 97, 0, 40, 0, 0, 0, 0, 123, 96, 0, 32, 0, 0,
        0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 7, 16, 0, 0, 0, 0, 0, 44, 183, 32, 0, 0, 0, 0, 0, 64, 191,
        55, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 114, 191, 112, 0, 0, 0, 0, 0, 0, 191, 23, 0,
        0, 0, 0, 0, 0, 103, 16, 0, 0, 0, 0, 0, 32, 199, 16, 0, 0, 0, 0, 0, 32, 101, 16, 0, 4, 255,
        255, 255, 255, 24, 16, 0, 0, 0, 0, 0, 198, 0, 0, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0,
        35, 5, 0, 0, 31, 0, 0, 0, 0, 121, 26, 255, 248, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 1, 109,
        33, 0, 37, 0, 0, 0, 0, 191, 58, 0, 0, 0, 0, 0, 0, 7, 48, 0, 0, 255, 255, 255, 240, 191, 24,
        0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 2, 133, 1, 0, 0, 255, 255, 255, 255, 191, 112, 0,
        0, 0, 0, 0, 0, 103, 112, 0, 0, 0, 0, 0, 32, 199, 112, 0, 0, 0, 0, 0, 32, 101, 112, 0, 4,
        255, 255, 255, 255, 24, 16, 0, 0, 0, 0, 1, 188, 0, 0, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0,
        0, 0, 31, 5, 0, 0, 15, 0, 0, 0, 0, 121, 42, 255, 248, 0, 0, 0, 0, 87, 32, 0, 0, 0, 0, 0,
        63, 123, 162, 255, 248, 0, 0, 0, 0, 121, 58, 255, 240, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0,
        0, 7, 16, 0, 0, 0, 0, 0, 112, 133, 0, 0, 0, 0, 0, 0, 112, 191, 112, 0, 0, 0, 0, 0, 0, 191,
        23, 0, 0, 0, 0, 0, 0, 103, 16, 0, 0, 0, 0, 0, 32, 199, 16, 0, 0, 0, 0, 0, 32, 101, 16, 0,
        11, 255, 255, 255, 255, 24, 16, 0, 0, 0, 0, 1, 52, 0, 0, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0,
        0, 0, 0, 36, 24, 48, 0, 0, 0, 0, 1, 129, 0, 0, 0, 0, 0, 0, 0, 0, 191, 71, 0, 0, 0, 0, 0, 0,
        133, 0, 0, 0, 0, 0, 0, 6, 191, 22, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 0, 133, 0, 0,
        0, 0, 0, 0, 133, 5, 0, 0, 6, 0, 0, 0, 0, 121, 26, 255, 248, 0, 0, 0, 0, 123, 97, 0, 176, 0,
        0, 0, 0, 183, 112, 0, 0, 0, 0, 0, 0, 191, 22, 0, 0, 0, 0, 0, 0, 183, 32, 0, 0, 0, 0, 0, 0,
        133, 0, 0, 0, 0, 0, 0, 132, 191, 7, 0, 0, 0, 0, 0, 0, 149, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 71, 80, 76, 0, 37, 115, 58, 32, 117, 110,
        97, 98, 108, 101, 32, 116, 111, 32, 101, 120, 116, 114, 97, 99, 116, 32, 98, 117, 105, 108,
        100, 45, 105, 100, 58, 32, 37, 108, 100, 10, 0, 105, 110, 116, 32, 114, 101, 99, 111, 114,
        100, 95, 110, 101, 119, 95, 99, 111, 110, 116, 101, 120, 116, 40, 115, 116, 114, 117, 99,
        116, 32, 112, 116, 95, 114, 101, 103, 115, 32, 42, 44, 32, 108, 111, 110, 103, 44, 32, 108,
        111, 110, 103, 41, 0, 37, 115, 58, 32, 117, 110, 97, 98, 108, 101, 32, 116, 111, 32, 97,
        108, 108, 111, 99, 97, 116, 101, 32, 114, 105, 110, 103, 98, 117, 102, 32, 101, 110, 116,
        114, 121, 58, 32, 37, 108, 100, 10, 0, 105, 110, 116, 32, 114, 101, 99, 111, 114, 100, 95,
        119, 111, 114, 100, 95, 100, 97, 116, 97, 40, 115, 116, 114, 117, 99, 116, 32, 112, 116,
        95, 114, 101, 103, 115, 32, 42, 44, 32, 108, 111, 110, 103, 44, 32, 99, 111, 110, 115, 116,
        32, 99, 104, 97, 114, 32, 42, 44, 32, 108, 111, 110, 103, 41, 0, 37, 115, 58, 32, 117, 110,
        97, 98, 108, 101, 32, 116, 111, 32, 114, 101, 97, 100, 32, 101, 118, 101, 110, 116, 32,
        107, 101, 121, 58, 32, 37, 108, 100, 10, 0, 105, 110, 116, 32, 114, 101, 99, 111, 114, 100,
        95, 115, 116, 114, 105, 110, 103, 95, 100, 97, 116, 97, 40, 115, 116, 114, 117, 99, 116,
        32, 112, 116, 95, 114, 101, 103, 115, 32, 42, 44, 32, 108, 111, 110, 103, 44, 32, 99, 111,
        110, 115, 116, 32, 99, 104, 97, 114, 32, 42, 44, 32, 99, 111, 110, 115, 116, 32, 99, 104,
        97, 114, 32, 42, 41, 0, 37, 115, 58, 32, 117, 110, 97, 98, 108, 101, 32, 116, 111, 32, 114,
        101, 97, 100, 32, 101, 118, 101, 110, 116, 32, 100, 97, 116, 97, 58, 32, 37, 108, 100, 10,
        0, 37, 115, 58, 32, 117, 110, 97, 98, 108, 101, 32, 116, 111, 32, 100, 101, 116, 101, 114,
        109, 105, 110, 101, 32, 118, 97, 108, 117, 101, 32, 115, 105, 122, 101, 58, 32, 37, 108,
        100, 10, 0, 105, 110, 116, 32, 114, 101, 99, 111, 114, 100, 95, 98, 108, 111, 98, 95, 100,
        97, 116, 97, 40, 115, 116, 114, 117, 99, 116, 32, 112, 116, 95, 114, 101, 103, 115, 32, 42,
        44, 32, 108, 111, 110, 103, 44, 32, 99, 111, 110, 115, 116, 32, 99, 104, 97, 114, 32, 42,
        41, 0, 37, 115, 58, 32, 117, 110, 97, 98, 108, 101, 32, 116, 111, 32, 114, 101, 97, 100,
        32, 118, 97, 108, 117, 101, 58, 32, 37, 108, 100, 10, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 47, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 48, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0,
        216, 0, 0, 0, 49, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 64, 0, 0, 0, 47, 0, 0, 0, 1, 0, 0, 0, 0,
        0, 0, 1, 136, 0, 0, 0, 48, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 40, 0, 0, 0, 49, 0, 0, 0, 1, 0,
        0, 0, 0, 0, 0, 5, 88, 0, 0, 0, 47, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 5, 152, 0, 0, 0, 48, 0, 0,
        0, 1, 0, 0, 0, 0, 0, 0, 6, 32, 0, 0, 0, 49, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0,
        50, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 50, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 0,
        184, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 208, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0,
        0, 0, 0, 1, 0, 0, 0, 0, 53, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 72, 0, 0, 0, 45, 0, 0, 0, 1,
        0, 0, 0, 0, 0, 0, 1, 96, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 72, 0, 0, 0, 50, 0,
        0, 0, 10, 0, 0, 0, 0, 0, 0, 3, 120, 0, 0, 0, 50, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 3, 168, 0,
        0, 0, 50, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 3, 200, 0, 0, 0, 53, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0,
        4, 16, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 4, 40, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0,
        0, 0, 0, 4, 248, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 5, 16, 0, 0, 0, 45, 0, 0, 0, 1,
        0, 0, 0, 0, 0, 0, 5, 176, 0, 0, 0, 50, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 5, 224, 0, 0, 0, 50,
        0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 6, 16, 0, 0, 0, 50, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 6, 48, 0,
        0, 0, 53, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 6, 120, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0,
        6, 144, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 7, 88, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0,
        0, 0, 0, 7, 200, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 7, 224, 0, 0, 0, 45, 0, 0, 0,
        1, 0, 0, 0, 0, 0, 0, 8, 128, 0, 0, 0, 50, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 8, 176, 0, 0, 0,
        50, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 8, 224, 0, 0, 0, 50, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 9,
        8, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 9, 32, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0, 0,
        0, 0, 9, 80, 0, 0, 0, 53, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 9, 152, 0, 0, 0, 45, 0, 0, 0, 1, 0,
        0, 0, 0, 0, 0, 9, 176, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 10, 136, 0, 0, 0, 45, 0,
        0, 0, 1, 0, 0, 0, 0, 0, 0, 10, 224, 0, 0, 0, 50, 0, 0, 0, 10, 0, 0, 0, 0, 0, 0, 11, 8, 0,
        0, 0, 45, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 11, 136, 0, 0, 0, 45, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0,
        11, 160, 0, 0, 0, 45, 0, 0, 0, 1, 235, 159, 1, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 8, 32, 0,
        0, 8, 32, 0, 0, 14, 97, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0,
        0, 4, 1, 0, 0, 32, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 2,
        0, 0, 0, 5, 1, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 6, 0, 0,
        0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0,
        0, 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 9, 0, 0, 0, 25, 4, 0, 0, 3, 0, 0, 0, 208, 0,
        0, 0, 41, 0, 0, 0, 18, 0, 0, 0, 0, 0, 0, 0, 46, 0, 0, 0, 11, 0, 0, 6, 0, 0, 0, 0, 58, 0, 0,
        0, 14, 0, 0, 6, 64, 0, 0, 0, 66, 4, 0, 0, 5, 0, 0, 0, 16, 0, 0, 0, 86, 0, 0, 0, 11, 0, 0,
        0, 0, 0, 0, 0, 94, 0, 0, 0, 13, 0, 0, 0, 64, 0, 0, 0, 103, 0, 0, 0, 14, 0, 0, 0, 96, 0, 0,
        0, 111, 0, 0, 0, 15, 0, 0, 0, 112, 0, 0, 0, 122, 0, 0, 0, 17, 0, 0, 0, 120, 0, 0, 0, 135,
        8, 0, 0, 0, 0, 0, 0, 12, 0, 0, 0, 141, 1, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 64, 0, 0, 0, 160,
        6, 0, 0, 3, 0, 0, 0, 4, 0, 0, 0, 180, 0, 0, 0, 0, 0, 0, 0, 199, 0, 0, 0, 1, 0, 0, 0, 216,
        0, 0, 0, 2, 0, 0, 0, 239, 1, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 16, 0, 0, 0, 245, 8, 0, 0, 0, 0,
        0, 0, 16, 0, 0, 0, 250, 1, 0, 0, 0, 0, 0, 0, 1, 4, 0, 0, 8, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0,
        0, 1, 1, 0, 0, 8, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10, 0, 0, 0, 4, 0, 0, 0, 12,
        0, 0, 0, 0, 4, 0, 0, 4, 0, 0, 0, 32, 0, 0, 1, 5, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 10, 0, 0,
        0, 5, 0, 0, 0, 64, 0, 0, 1, 22, 0, 0, 0, 7, 0, 0, 0, 128, 0, 0, 1, 26, 0, 0, 0, 8, 0, 0, 0,
        192, 0, 0, 1, 32, 14, 0, 0, 0, 0, 0, 0, 19, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0,
        22, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 0, 0, 2,
        0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 4,
        0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 26, 0, 0, 1, 49, 1, 0, 0, 0, 0, 0, 0, 8, 1, 0, 0, 64,
        0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 28, 0, 0, 1, 54, 8, 0, 0, 0, 0, 0, 0, 29, 0, 0, 1, 60, 1,
        0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 0, 4, 0, 0, 4, 0, 0, 0, 32, 0, 0, 1, 5, 0, 0, 0,
        21, 0, 0, 0, 0, 0, 0, 1, 10, 0, 0, 0, 23, 0, 0, 0, 64, 0, 0, 1, 22, 0, 0, 0, 25, 0, 0, 0,
        128, 0, 0, 1, 26, 0, 0, 0, 27, 0, 0, 0, 192, 0, 0, 1, 73, 14, 0, 0, 0, 0, 0, 0, 30, 0, 0,
        0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 33, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2,
        0, 0, 0, 4, 0, 0, 0, 27, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 35, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 16, 0, 0, 0, 0, 0, 4, 0, 0, 2, 0, 0, 0, 16, 0, 0, 1, 5,
        0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 1, 10, 0, 0, 0, 34, 0, 0, 0, 64, 0, 0, 1, 98, 14, 0, 0, 0,
        0, 0, 0, 36, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 39, 0, 0, 1, 106, 4, 0, 0, 6, 0,
        0, 0, 200, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 0, 0, 0, 1, 114, 0, 0, 0, 43, 0, 0, 4, 192, 0,
        0, 0, 0, 0, 0, 0, 48, 0, 0, 5, 0, 0, 0, 1, 124, 0, 0, 0, 43, 0, 0, 5, 128, 0, 0, 1, 130, 0,
        0, 0, 43, 0, 0, 5, 192, 0, 0, 1, 134, 0, 0, 0, 43, 0, 0, 6, 0, 0, 0, 0, 0, 5, 0, 0, 2, 0,
        0, 0, 152, 0, 0, 1, 145, 0, 0, 0, 41, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 42, 0, 0, 0, 0, 0,
        0, 1, 155, 8, 0, 0, 0, 0, 0, 0, 42, 0, 0, 0, 0, 4, 0, 0, 3, 0, 0, 0, 152, 0, 0, 0, 41, 0,
        0, 0, 44, 0, 0, 0, 0, 0, 0, 1, 168, 0, 0, 0, 45, 0, 0, 0, 64, 0, 0, 1, 172, 0, 0, 0, 47, 0,
        0, 0, 192, 0, 0, 1, 177, 1, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 64, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 43, 0, 0, 0, 4, 0, 0, 0, 1, 0, 0, 1, 191, 8, 0, 0, 0, 0, 0, 0, 46, 0, 0, 0,
        0, 4, 0, 0, 2, 0, 0, 0, 16, 0, 0, 1, 197, 0, 0, 0, 43, 0, 0, 0, 0, 0, 0, 1, 202, 0, 0, 0,
        43, 0, 0, 0, 64, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 43, 0, 0, 0, 4, 0, 0, 0, 16,
        0, 0, 0, 0, 5, 0, 0, 2, 0, 0, 0, 16, 0, 0, 0, 0, 0, 0, 0, 49, 0, 0, 0, 0, 0, 0, 1, 207, 0,
        0, 0, 50, 0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 3, 0, 0, 0, 16, 0, 0, 1, 216, 0, 0, 0, 29, 0, 0,
        0, 0, 0, 0, 1, 225, 0, 0, 0, 29, 0, 0, 0, 32, 0, 0, 1, 234, 0, 0, 0, 43, 0, 0, 0, 64, 0, 0,
        1, 207, 132, 0, 0, 6, 0, 0, 0, 12, 0, 0, 1, 248, 0, 0, 0, 51, 0, 0, 0, 0, 0, 0, 1, 254, 0,
        0, 0, 52, 0, 0, 0, 32, 0, 0, 2, 6, 0, 0, 0, 52, 1, 0, 0, 64, 0, 0, 2, 17, 0, 0, 0, 52, 1,
        0, 0, 65, 0, 0, 2, 30, 0, 0, 0, 52, 3, 0, 0, 66, 0, 0, 1, 5, 0, 0, 0, 52, 3, 0, 0, 81, 0,
        0, 2, 34, 132, 0, 0, 5, 0, 0, 0, 4, 0, 0, 2, 48, 0, 0, 0, 28, 8, 0, 0, 0, 0, 0, 2, 54, 0,
        0, 0, 28, 1, 0, 0, 12, 0, 0, 2, 56, 0, 0, 0, 28, 2, 0, 0, 13, 0, 0, 2, 61, 0, 0, 0, 28, 1,
        0, 0, 15, 0, 0, 2, 65, 0, 0, 0, 28, 16, 0, 0, 16, 0, 0, 2, 72, 8, 0, 0, 0, 0, 0, 0, 28, 0,
        0, 0, 0, 13, 0, 0, 1, 0, 0, 0, 2, 0, 0, 2, 76, 0, 0, 0, 38, 0, 0, 2, 80, 12, 0, 0, 1, 0, 0,
        0, 53, 0, 0, 0, 0, 13, 0, 0, 3, 0, 0, 0, 2, 0, 0, 2, 76, 0, 0, 0, 38, 0, 0, 2, 97, 0, 0, 0,
        11, 0, 0, 2, 105, 0, 0, 0, 25, 0, 0, 2, 109, 12, 0, 0, 1, 0, 0, 0, 55, 0, 0, 0, 0, 13, 0,
        0, 1, 0, 0, 0, 26, 0, 0, 2, 76, 0, 0, 0, 38, 0, 0, 2, 122, 12, 0, 0, 1, 0, 0, 0, 57, 0, 0,
        2, 138, 12, 0, 0, 1, 0, 0, 0, 53, 0, 0, 2, 150, 4, 0, 0, 3, 0, 0, 0, 32, 0, 0, 2, 169, 0,
        0, 0, 61, 0, 0, 0, 0, 0, 0, 2, 176, 0, 0, 0, 63, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 64, 0,
        0, 0, 192, 0, 0, 2, 185, 8, 0, 0, 0, 0, 0, 0, 2, 0, 0, 2, 191, 1, 0, 0, 0, 0, 0, 0, 1, 0,
        0, 0, 8, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 62, 0, 0, 0, 4, 0, 0, 0, 20, 0, 0, 0,
        0, 5, 0, 0, 2, 0, 0, 0, 8, 0, 0, 2, 205, 0, 0, 0, 11, 0, 0, 0, 0, 0, 0, 2, 212, 0, 0, 0,
        11, 0, 0, 0, 0, 0, 0, 2, 215, 12, 0, 0, 1, 0, 0, 0, 53, 0, 0, 2, 225, 12, 0, 0, 1, 0, 0, 0,
        53, 0, 0, 2, 237, 12, 0, 0, 1, 0, 0, 0, 53, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        17, 0, 0, 0, 4, 0, 0, 0, 4, 0, 0, 2, 247, 14, 0, 0, 0, 0, 0, 0, 68, 0, 0, 0, 1, 0, 0, 0, 0,
        10, 0, 0, 0, 0, 0, 0, 16, 0, 0, 2, 255, 14, 0, 0, 0, 0, 0, 0, 70, 0, 0, 0, 2, 0, 0, 0, 0,
        3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 17, 0, 0, 0, 4, 0, 0, 0, 37, 0, 0, 0, 0, 10, 0, 0, 0, 0,
        0, 0, 17, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 73, 0, 0, 0, 4, 0, 0, 0, 53, 0, 0,
        0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 17, 0, 0, 0, 4, 0, 0, 0, 43, 0, 0, 0, 0, 3, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 73, 0, 0, 0, 4, 0, 0, 0, 65, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 17, 0, 0, 0, 4, 0, 0, 0, 35, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 73, 0, 0, 0,
        4, 0, 0, 0, 75, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 17, 0, 0, 0, 4, 0, 0, 0, 36,
        0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 17, 0, 0, 0, 4, 0, 0, 0, 41, 0, 0, 0, 0, 3, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 73, 0, 0, 0, 4, 0, 0, 0, 59, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 17, 0, 0, 0, 4, 0, 0, 0, 31, 0, 0, 14, 63, 15, 0, 0, 3, 0, 0, 0, 80, 0, 0, 0, 20,
        0, 0, 0, 0, 0, 0, 0, 32, 0, 0, 0, 31, 0, 0, 0, 32, 0, 0, 0, 32, 0, 0, 0, 37, 0, 0, 0, 64,
        0, 0, 0, 16, 0, 0, 14, 69, 15, 0, 0, 1, 0, 0, 0, 4, 0, 0, 0, 69, 0, 0, 0, 0, 0, 0, 0, 4, 0,
        0, 14, 77, 15, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 71, 0, 0, 0, 0, 0, 0, 0, 1, 0, 105, 110, 116,
        0, 95, 95, 65, 82, 82, 65, 89, 95, 83, 73, 90, 69, 95, 84, 89, 80, 69, 95, 95, 0, 95, 95,
        98, 112, 102, 95, 117, 115, 100, 116, 95, 115, 112, 101, 99, 0, 97, 114, 103, 115, 0, 117,
        115, 100, 116, 95, 99, 111, 111, 107, 105, 101, 0, 97, 114, 103, 95, 99, 110, 116, 0, 95,
        95, 98, 112, 102, 95, 117, 115, 100, 116, 95, 97, 114, 103, 95, 115, 112, 101, 99, 0, 118,
        97, 108, 95, 111, 102, 102, 0, 97, 114, 103, 95, 116, 121, 112, 101, 0, 114, 101, 103, 95,
        111, 102, 102, 0, 97, 114, 103, 95, 115, 105, 103, 110, 101, 100, 0, 97, 114, 103, 95, 98,
        105, 116, 115, 104, 105, 102, 116, 0, 95, 95, 117, 54, 52, 0, 117, 110, 115, 105, 103, 110,
        101, 100, 32, 108, 111, 110, 103, 32, 108, 111, 110, 103, 0, 95, 95, 98, 112, 102, 95, 117,
        115, 100, 116, 95, 97, 114, 103, 95, 116, 121, 112, 101, 0, 66, 80, 70, 95, 85, 83, 68, 84,
        95, 65, 82, 71, 95, 67, 79, 78, 83, 84, 0, 66, 80, 70, 95, 85, 83, 68, 84, 95, 65, 82, 71,
        95, 82, 69, 71, 0, 66, 80, 70, 95, 85, 83, 68, 84, 95, 65, 82, 71, 95, 82, 69, 71, 95, 68,
        69, 82, 69, 70, 0, 115, 104, 111, 114, 116, 0, 98, 111, 111, 108, 0, 95, 66, 111, 111, 108,
        0, 99, 104, 97, 114, 0, 116, 121, 112, 101, 0, 109, 97, 120, 95, 101, 110, 116, 114, 105,
        101, 115, 0, 107, 101, 121, 0, 118, 97, 108, 117, 101, 0, 95, 95, 98, 112, 102, 95, 117,
        115, 100, 116, 95, 115, 112, 101, 99, 115, 0, 108, 111, 110, 103, 0, 95, 95, 117, 51, 50,
        0, 117, 110, 115, 105, 103, 110, 101, 100, 32, 105, 110, 116, 0, 95, 95, 98, 112, 102, 95,
        117, 115, 100, 116, 95, 105, 112, 95, 116, 111, 95, 115, 112, 101, 99, 95, 105, 100, 0,
        114, 105, 110, 103, 98, 117, 102, 0, 112, 116, 95, 114, 101, 103, 115, 0, 111, 114, 105,
        103, 95, 103, 112, 114, 50, 0, 102, 108, 97, 103, 115, 0, 99, 114, 49, 0, 108, 97, 115,
        116, 95, 98, 114, 101, 97, 107, 0, 117, 115, 101, 114, 95, 114, 101, 103, 115, 0, 117, 115,
        101, 114, 95, 112, 116, 95, 114, 101, 103, 115, 0, 112, 115, 119, 0, 103, 112, 114, 115, 0,
        117, 110, 115, 105, 103, 110, 101, 100, 32, 108, 111, 110, 103, 0, 112, 115, 119, 95, 116,
        0, 109, 97, 115, 107, 0, 97, 100, 100, 114, 0, 116, 112, 105, 95, 105, 110, 102, 111, 0,
        105, 110, 116, 95, 99, 111, 100, 101, 0, 105, 110, 116, 95, 112, 97, 114, 109, 0, 105, 110,
        116, 95, 112, 97, 114, 109, 95, 108, 111, 110, 103, 0, 115, 99, 104, 105, 100, 0, 105, 110,
        116, 112, 97, 114, 109, 0, 97, 100, 97, 112, 116, 101, 114, 95, 73, 79, 0, 100, 105, 114,
        101, 99, 116, 101, 100, 95, 105, 114, 113, 0, 105, 115, 99, 0, 115, 117, 98, 99, 104, 97,
        110, 110, 101, 108, 95, 105, 100, 0, 99, 115, 115, 105, 100, 0, 109, 0, 115, 115, 105, 100,
        0, 111, 110, 101, 0, 115, 99, 104, 95, 110, 111, 0, 117, 51, 50, 0, 99, 116, 120, 0, 98,
        112, 102, 95, 117, 115, 100, 116, 95, 97, 114, 103, 95, 99, 110, 116, 0, 97, 114, 103, 95,
        110, 117, 109, 0, 114, 101, 115, 0, 98, 112, 102, 95, 117, 115, 100, 116, 95, 97, 114, 103,
        0, 98, 112, 102, 95, 117, 115, 100, 116, 95, 99, 111, 111, 107, 105, 101, 0, 110, 101, 119,
        95, 99, 111, 110, 116, 101, 120, 116, 0, 98, 112, 102, 95, 115, 116, 97, 99, 107, 95, 98,
        117, 105, 108, 100, 95, 105, 100, 0, 115, 116, 97, 116, 117, 115, 0, 98, 117, 105, 108,
        100, 95, 105, 100, 0, 95, 95, 115, 51, 50, 0, 117, 110, 115, 105, 103, 110, 101, 100, 32,
        99, 104, 97, 114, 0, 111, 102, 102, 115, 101, 116, 0, 105, 112, 0, 119, 111, 114, 100, 95,
        100, 97, 116, 97, 0, 115, 116, 114, 105, 110, 103, 95, 100, 97, 116, 97, 0, 98, 108, 111,
        98, 95, 100, 97, 116, 97, 0, 76, 73, 67, 69, 78, 83, 69, 0, 76, 73, 78, 85, 88, 95, 72, 65,
        83, 95, 66, 80, 70, 95, 67, 79, 79, 75, 73, 69, 0, 47, 117, 115, 114, 47, 105, 110, 99,
        108, 117, 100, 101, 47, 98, 112, 102, 47, 117, 115, 100, 116, 46, 98, 112, 102, 46, 104, 0,
        9, 105, 102, 32, 40, 33, 76, 73, 78, 85, 88, 95, 72, 65, 83, 95, 66, 80, 70, 95, 67, 79,
        79, 75, 73, 69, 41, 32, 123, 0, 9, 9, 108, 111, 110, 103, 32, 105, 112, 32, 61, 32, 80, 84,
        95, 82, 69, 71, 83, 95, 73, 80, 40, 99, 116, 120, 41, 59, 0, 9, 9, 115, 112, 101, 99, 95,
        105, 100, 95, 112, 116, 114, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111,
        107, 117, 112, 95, 101, 108, 101, 109, 40, 38, 95, 95, 98, 112, 102, 95, 117, 115, 100,
        116, 95, 105, 112, 95, 116, 111, 95, 115, 112, 101, 99, 95, 105, 100, 44, 32, 38, 105, 112,
        41, 59, 0, 9, 9, 114, 101, 116, 117, 114, 110, 32, 115, 112, 101, 99, 95, 105, 100, 95,
        112, 116, 114, 32, 63, 32, 42, 115, 112, 101, 99, 95, 105, 100, 95, 112, 116, 114, 32, 58,
        32, 45, 69, 83, 82, 67, 72, 59, 0, 9, 114, 101, 116, 117, 114, 110, 32, 98, 112, 102, 95,
        103, 101, 116, 95, 97, 116, 116, 97, 99, 104, 95, 99, 111, 111, 107, 105, 101, 40, 99, 116,
        120, 41, 59, 0, 9, 115, 112, 101, 99, 95, 105, 100, 32, 61, 32, 95, 95, 98, 112, 102, 95,
        117, 115, 100, 116, 95, 115, 112, 101, 99, 95, 105, 100, 40, 99, 116, 120, 41, 59, 0, 9,
        105, 102, 32, 40, 115, 112, 101, 99, 95, 105, 100, 32, 60, 32, 48, 41, 0, 9, 115, 112, 101,
        99, 32, 61, 32, 98, 112, 102, 95, 109, 97, 112, 95, 108, 111, 111, 107, 117, 112, 95, 101,
        108, 101, 109, 40, 38, 95, 95, 98, 112, 102, 95, 117, 115, 100, 116, 95, 115, 112, 101, 99,
        115, 44, 32, 38, 115, 112, 101, 99, 95, 105, 100, 41, 59, 0, 9, 105, 102, 32, 40, 33, 115,
        112, 101, 99, 41, 0, 9, 114, 101, 116, 117, 114, 110, 32, 115, 112, 101, 99, 45, 62, 97,
        114, 103, 95, 99, 110, 116, 59, 0, 125, 0, 105, 110, 116, 32, 98, 112, 102, 95, 117, 115,
        100, 116, 95, 97, 114, 103, 40, 115, 116, 114, 117, 99, 116, 32, 112, 116, 95, 114, 101,
        103, 115, 32, 42, 99, 116, 120, 44, 32, 95, 95, 117, 54, 52, 32, 97, 114, 103, 95, 110,
        117, 109, 44, 32, 108, 111, 110, 103, 32, 42, 114, 101, 115, 41, 0, 9, 42, 114, 101, 115,
        32, 61, 32, 48, 59, 0, 9, 105, 102, 32, 40, 97, 114, 103, 95, 110, 117, 109, 32, 62, 61,
        32, 66, 80, 70, 95, 85, 83, 68, 84, 95, 77, 65, 88, 95, 65, 82, 71, 95, 67, 78, 84, 41, 0,
        9, 105, 102, 32, 40, 97, 114, 103, 95, 110, 117, 109, 32, 62, 61, 32, 115, 112, 101, 99,
        45, 62, 97, 114, 103, 95, 99, 110, 116, 41, 0, 9, 97, 114, 103, 95, 115, 112, 101, 99, 32,
        61, 32, 38, 115, 112, 101, 99, 45, 62, 97, 114, 103, 115, 91, 97, 114, 103, 95, 110, 117,
        109, 93, 59, 0, 9, 115, 119, 105, 116, 99, 104, 32, 40, 97, 114, 103, 95, 115, 112, 101,
        99, 45, 62, 97, 114, 103, 95, 116, 121, 112, 101, 41, 32, 123, 0, 9, 9, 118, 97, 108, 32,
        61, 32, 97, 114, 103, 95, 115, 112, 101, 99, 45, 62, 118, 97, 108, 95, 111, 102, 102, 59,
        0, 9, 9, 101, 114, 114, 32, 61, 32, 98, 112, 102, 95, 112, 114, 111, 98, 101, 95, 114, 101,
        97, 100, 95, 107, 101, 114, 110, 101, 108, 40, 38, 118, 97, 108, 44, 32, 115, 105, 122,
        101, 111, 102, 40, 118, 97, 108, 41, 44, 32, 40, 118, 111, 105, 100, 32, 42, 41, 99, 116,
        120, 32, 43, 32, 97, 114, 103, 95, 115, 112, 101, 99, 45, 62, 114, 101, 103, 95, 111, 102,
        102, 41, 59, 0, 9, 9, 105, 102, 32, 40, 101, 114, 114, 41, 0, 9, 9, 101, 114, 114, 32, 61,
        32, 98, 112, 102, 95, 112, 114, 111, 98, 101, 95, 114, 101, 97, 100, 95, 117, 115, 101,
        114, 40, 38, 118, 97, 108, 44, 32, 115, 105, 122, 101, 111, 102, 40, 118, 97, 108, 41, 44,
        32, 40, 118, 111, 105, 100, 32, 42, 41, 118, 97, 108, 32, 43, 32, 97, 114, 103, 95, 115,
        112, 101, 99, 45, 62, 118, 97, 108, 95, 111, 102, 102, 41, 59, 0, 9, 9, 118, 97, 108, 32,
        62, 62, 61, 32, 97, 114, 103, 95, 115, 112, 101, 99, 45, 62, 97, 114, 103, 95, 98, 105,
        116, 115, 104, 105, 102, 116, 59, 0, 9, 118, 97, 108, 32, 60, 60, 61, 32, 97, 114, 103, 95,
        115, 112, 101, 99, 45, 62, 97, 114, 103, 95, 98, 105, 116, 115, 104, 105, 102, 116, 59, 0,
        9, 105, 102, 32, 40, 97, 114, 103, 95, 115, 112, 101, 99, 45, 62, 97, 114, 103, 95, 115,
        105, 103, 110, 101, 100, 41, 0, 9, 42, 114, 101, 115, 32, 61, 32, 118, 97, 108, 59, 0, 9,
        114, 101, 116, 117, 114, 110, 32, 115, 112, 101, 99, 45, 62, 117, 115, 100, 116, 95, 99,
        111, 111, 107, 105, 101, 59, 0, 47, 98, 117, 105, 108, 100, 100, 105, 114, 47, 98, 117,
        105, 108, 100, 47, 66, 85, 73, 76, 68, 47, 99, 114, 121, 112, 116, 111, 45, 97, 117, 100,
        105, 116, 105, 110, 103, 45, 97, 103, 101, 110, 116, 45, 48, 46, 50, 46, 49, 47, 115, 114,
        99, 47, 98, 112, 102, 47, 97, 117, 100, 105, 116, 46, 98, 112, 102, 46, 99, 0, 66, 80, 70,
        95, 85, 83, 68, 84, 40, 110, 101, 119, 95, 99, 111, 110, 116, 101, 120, 116, 44, 32, 108,
        111, 110, 103, 32, 99, 111, 110, 116, 101, 120, 116, 44, 32, 108, 111, 110, 103, 32, 112,
        97, 114, 101, 110, 116, 41, 0, 32, 32, 101, 114, 114, 32, 61, 32, 98, 112, 102, 95, 103,
        101, 116, 95, 115, 116, 97, 99, 107, 32, 40, 99, 116, 120, 44, 32, 98, 117, 102, 44, 32,
        98, 112, 102, 95, 99, 111, 114, 101, 95, 116, 121, 112, 101, 95, 115, 105, 122, 101, 32,
        40, 115, 116, 114, 117, 99, 116, 32, 98, 112, 102, 95, 115, 116, 97, 99, 107, 95, 98, 117,
        105, 108, 100, 95, 105, 100, 41, 44, 0, 32, 32, 105, 102, 32, 40, 101, 114, 114, 32, 60,
        32, 48, 41, 0, 32, 32, 32, 32, 32, 32, 68, 69, 66, 85, 71, 32, 40, 34, 117, 110, 97, 98,
        108, 101, 32, 116, 111, 32, 101, 120, 116, 114, 97, 99, 116, 32, 98, 117, 105, 108, 100,
        45, 105, 100, 58, 32, 37, 108, 100, 92, 110, 34, 44, 32, 101, 114, 114, 41, 59, 0, 32, 32,
        32, 32, 98, 112, 102, 95, 114, 105, 110, 103, 98, 117, 102, 95, 114, 101, 115, 101, 114,
        118, 101, 32, 40, 38, 114, 105, 110, 103, 98, 117, 102, 44, 0, 32, 32, 105, 102, 32, 40,
        33, 101, 118, 101, 110, 116, 41, 0, 32, 32, 32, 32, 32, 32, 68, 69, 66, 85, 71, 32, 40, 34,
        117, 110, 97, 98, 108, 101, 32, 116, 111, 32, 97, 108, 108, 111, 99, 97, 116, 101, 32, 114,
        105, 110, 103, 98, 117, 102, 32, 101, 110, 116, 114, 121, 58, 32, 37, 108, 100, 92, 110,
        34, 44, 32, 45, 69, 78, 79, 77, 69, 77, 41, 59, 0, 32, 32, 104, 101, 97, 100, 101, 114, 45,
        62, 116, 121, 112, 101, 32, 61, 32, 116, 121, 112, 101, 59, 0, 32, 32, 104, 101, 97, 100,
        101, 114, 45, 62, 115, 105, 122, 101, 32, 61, 32, 115, 105, 122, 101, 59, 0, 32, 32, 104,
        101, 97, 100, 101, 114, 45, 62, 112, 105, 100, 95, 116, 103, 105, 100, 32, 61, 32, 98, 112,
        102, 95, 103, 101, 116, 95, 99, 117, 114, 114, 101, 110, 116, 95, 112, 105, 100, 95, 116,
        103, 105, 100, 32, 40, 41, 59, 0, 32, 32, 104, 101, 97, 100, 101, 114, 45, 62, 99, 111,
        110, 116, 101, 120, 116, 32, 61, 32, 99, 111, 110, 116, 101, 120, 116, 59, 0, 32, 32, 104,
        101, 97, 100, 101, 114, 45, 62, 107, 116, 105, 109, 101, 32, 61, 32, 98, 112, 102, 95, 107,
        116, 105, 109, 101, 95, 103, 101, 116, 95, 98, 111, 111, 116, 95, 110, 115, 32, 40, 41, 59,
        0, 32, 32, 101, 118, 101, 110, 116, 45, 62, 112, 97, 114, 101, 110, 116, 32, 61, 32, 112,
        97, 114, 101, 110, 116, 59, 0, 32, 32, 105, 102, 32, 40, 66, 80, 70, 95, 67, 79, 82, 69,
        95, 82, 69, 65, 68, 95, 66, 73, 84, 70, 73, 69, 76, 68, 40, 98, 117, 105, 108, 100, 95,
        105, 100, 44, 32, 115, 116, 97, 116, 117, 115, 41, 32, 38, 32, 66, 80, 70, 95, 83, 84, 65,
        67, 75, 95, 66, 85, 73, 76, 68, 95, 73, 68, 95, 86, 65, 76, 73, 68, 41, 0, 32, 32, 32, 32,
        32, 32, 101, 118, 101, 110, 116, 45, 62, 111, 114, 105, 103, 105, 110, 95, 115, 105, 122,
        101, 32, 61, 32, 98, 112, 102, 95, 99, 111, 114, 101, 95, 102, 105, 101, 108, 100, 95, 115,
        105, 122, 101, 32, 40, 98, 117, 105, 108, 100, 95, 105, 100, 45, 62, 98, 117, 105, 108,
        100, 95, 105, 100, 41, 59, 0, 32, 32, 32, 32, 32, 32, 98, 112, 102, 95, 99, 111, 114, 101,
        95, 114, 101, 97, 100, 32, 40, 101, 118, 101, 110, 116, 45, 62, 111, 114, 105, 103, 105,
        110, 44, 32, 101, 118, 101, 110, 116, 45, 62, 111, 114, 105, 103, 105, 110, 95, 115, 105,
        122, 101, 44, 32, 38, 98, 117, 105, 108, 100, 95, 105, 100, 45, 62, 98, 117, 105, 108, 100,
        95, 105, 100, 41, 59, 0, 32, 32, 98, 112, 102, 95, 114, 105, 110, 103, 98, 117, 102, 95,
        115, 117, 98, 109, 105, 116, 32, 40, 101, 118, 101, 110, 116, 44, 32, 48, 41, 59, 0, 66,
        80, 70, 95, 85, 83, 68, 84, 40, 119, 111, 114, 100, 95, 100, 97, 116, 97, 44, 32, 108, 111,
        110, 103, 32, 99, 111, 110, 116, 101, 120, 116, 44, 32, 99, 111, 110, 115, 116, 32, 99,
        104, 97, 114, 32, 42, 107, 101, 121, 95, 112, 116, 114, 44, 32, 108, 111, 110, 103, 32,
        118, 97, 108, 117, 101, 41, 0, 32, 32, 101, 118, 101, 110, 116, 45, 62, 98, 97, 115, 101,
        46, 116, 121, 112, 101, 32, 61, 32, 65, 85, 68, 73, 84, 95, 68, 65, 84, 65, 95, 87, 79, 82,
        68, 59, 0, 32, 32, 101, 114, 114, 32, 61, 32, 98, 112, 102, 95, 112, 114, 111, 98, 101, 95,
        114, 101, 97, 100, 95, 117, 115, 101, 114, 95, 115, 116, 114, 32, 40, 101, 118, 101, 110,
        116, 45, 62, 98, 97, 115, 101, 46, 107, 101, 121, 44, 32, 75, 69, 89, 95, 83, 73, 90, 69,
        44, 32, 40, 118, 111, 105, 100, 32, 42, 41, 107, 101, 121, 95, 112, 116, 114, 41, 59, 0,
        32, 32, 32, 32, 32, 32, 68, 69, 66, 85, 71, 32, 40, 34, 117, 110, 97, 98, 108, 101, 32,
        116, 111, 32, 114, 101, 97, 100, 32, 101, 118, 101, 110, 116, 32, 107, 101, 121, 58, 32,
        37, 108, 100, 92, 110, 34, 44, 32, 101, 114, 114, 41, 59, 0, 32, 32, 98, 112, 102, 95, 114,
        105, 110, 103, 98, 117, 102, 95, 100, 105, 115, 99, 97, 114, 100, 32, 40, 101, 118, 101,
        110, 116, 44, 32, 48, 41, 59, 0, 32, 32, 101, 118, 101, 110, 116, 45, 62, 118, 97, 108,
        117, 101, 32, 61, 32, 118, 97, 108, 117, 101, 59, 0, 66, 80, 70, 95, 85, 83, 68, 84, 40,
        115, 116, 114, 105, 110, 103, 95, 100, 97, 116, 97, 44, 32, 108, 111, 110, 103, 32, 99,
        111, 110, 116, 101, 120, 116, 44, 32, 99, 111, 110, 115, 116, 32, 99, 104, 97, 114, 32, 42,
        107, 101, 121, 95, 112, 116, 114, 44, 0, 32, 32, 101, 118, 101, 110, 116, 45, 62, 98, 97,
        115, 101, 46, 116, 121, 112, 101, 32, 61, 32, 65, 85, 68, 73, 84, 95, 68, 65, 84, 65, 95,
        83, 84, 82, 73, 78, 71, 59, 0, 32, 32, 101, 114, 114, 32, 61, 32, 98, 112, 102, 95, 112,
        114, 111, 98, 101, 95, 114, 101, 97, 100, 95, 117, 115, 101, 114, 95, 115, 116, 114, 32,
        40, 101, 118, 101, 110, 116, 45, 62, 118, 97, 108, 117, 101, 44, 32, 86, 65, 76, 85, 69,
        95, 83, 73, 90, 69, 44, 0, 32, 32, 32, 32, 32, 32, 68, 69, 66, 85, 71, 32, 40, 34, 117,
        110, 97, 98, 108, 101, 32, 116, 111, 32, 114, 101, 97, 100, 32, 101, 118, 101, 110, 116,
        32, 100, 97, 116, 97, 58, 32, 37, 108, 100, 92, 110, 34, 44, 32, 101, 114, 114, 41, 59, 0,
        32, 32, 101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101, 32, 61, 32, 101, 114, 114, 32,
        38, 32, 40, 86, 65, 76, 85, 69, 95, 83, 73, 90, 69, 32, 45, 32, 49, 41, 59, 0, 66, 80, 70,
        95, 85, 83, 68, 84, 40, 98, 108, 111, 98, 95, 100, 97, 116, 97, 44, 32, 108, 111, 110, 103,
        32, 99, 111, 110, 116, 101, 120, 116, 44, 32, 99, 111, 110, 115, 116, 32, 99, 104, 97, 114,
        32, 42, 107, 101, 121, 95, 112, 116, 114, 41, 0, 32, 32, 101, 114, 114, 32, 61, 32, 98,
        112, 102, 95, 117, 115, 100, 116, 95, 97, 114, 103, 32, 40, 99, 116, 120, 44, 32, 51, 44,
        32, 38, 118, 97, 108, 117, 101, 95, 115, 105, 122, 101, 41, 59, 0, 32, 32, 32, 32, 32, 32,
        68, 69, 66, 85, 71, 32, 40, 34, 117, 110, 97, 98, 108, 101, 32, 116, 111, 32, 100, 101,
        116, 101, 114, 109, 105, 110, 101, 32, 118, 97, 108, 117, 101, 32, 115, 105, 122, 101, 58,
        32, 37, 108, 100, 92, 110, 34, 44, 32, 101, 114, 114, 41, 59, 0, 32, 32, 101, 118, 101,
        110, 116, 45, 62, 98, 97, 115, 101, 46, 116, 121, 112, 101, 32, 61, 32, 65, 85, 68, 73, 84,
        95, 68, 65, 84, 65, 95, 66, 76, 79, 66, 59, 0, 32, 32, 105, 102, 32, 40, 118, 97, 108, 117,
        101, 95, 115, 105, 122, 101, 32, 62, 32, 48, 41, 0, 32, 32, 32, 32, 32, 32, 101, 114, 114,
        32, 61, 32, 98, 112, 102, 95, 117, 115, 100, 116, 95, 97, 114, 103, 32, 40, 99, 116, 120,
        44, 32, 50, 44, 32, 38, 118, 97, 108, 117, 101, 95, 112, 116, 114, 41, 59, 0, 32, 32, 32,
        32, 32, 32, 105, 102, 32, 40, 101, 114, 114, 32, 60, 32, 48, 41, 0, 9, 32, 32, 68, 69, 66,
        85, 71, 32, 40, 34, 117, 110, 97, 98, 108, 101, 32, 116, 111, 32, 114, 101, 97, 100, 32,
        118, 97, 108, 117, 101, 58, 32, 37, 108, 100, 92, 110, 34, 44, 32, 101, 114, 114, 41, 59,
        0, 32, 32, 32, 32, 32, 32, 118, 97, 108, 117, 101, 95, 115, 105, 122, 101, 32, 38, 61, 32,
        40, 86, 65, 76, 85, 69, 95, 83, 73, 90, 69, 32, 45, 32, 49, 41, 59, 0, 32, 32, 32, 32, 32,
        32, 101, 114, 114, 32, 61, 32, 98, 112, 102, 95, 112, 114, 111, 98, 101, 95, 114, 101, 97,
        100, 95, 117, 115, 101, 114, 32, 40, 101, 118, 101, 110, 116, 45, 62, 118, 97, 108, 117,
        101, 44, 32, 118, 97, 108, 117, 101, 95, 115, 105, 122, 101, 44, 32, 40, 118, 111, 105,
        100, 32, 42, 41, 118, 97, 108, 117, 101, 95, 112, 116, 114, 41, 59, 0, 9, 32, 32, 68, 69,
        66, 85, 71, 32, 40, 34, 117, 110, 97, 98, 108, 101, 32, 116, 111, 32, 114, 101, 97, 100,
        32, 101, 118, 101, 110, 116, 32, 100, 97, 116, 97, 58, 32, 37, 108, 100, 92, 110, 34, 44,
        32, 101, 114, 114, 41, 59, 0, 32, 32, 101, 118, 101, 110, 116, 45, 62, 115, 105, 122, 101,
        32, 61, 32, 118, 97, 108, 117, 101, 95, 115, 105, 122, 101, 59, 0, 48, 58, 49, 58, 49, 0,
        48, 0, 48, 58, 48, 0, 48, 58, 49, 0, 46, 109, 97, 112, 115, 0, 108, 105, 99, 101, 110, 115,
        101, 0, 46, 107, 99, 111, 110, 102, 105, 103, 0, 46, 116, 101, 120, 116, 0, 117, 115, 100,
        116, 0, 0, 0, 0, 0, 0, 0, 0, 235, 159, 1, 0, 0, 0, 0, 32, 0, 0, 0, 0, 0, 0, 0, 76, 0, 0, 0,
        76, 0, 0, 13, 52, 0, 0, 13, 128, 0, 0, 0, 228, 0, 0, 0, 8, 0, 0, 14, 86, 0, 0, 0, 3, 0, 0,
        0, 0, 0, 0, 0, 54, 0, 0, 1, 32, 0, 0, 0, 56, 0, 0, 5, 88, 0, 0, 0, 58, 0, 0, 14, 92, 0, 0,
        0, 4, 0, 0, 0, 0, 0, 0, 0, 59, 0, 0, 3, 40, 0, 0, 0, 65, 0, 0, 5, 144, 0, 0, 0, 66, 0, 0,
        8, 96, 0, 0, 0, 67, 0, 0, 0, 16, 0, 0, 14, 86, 0, 0, 0, 78, 0, 0, 0, 0, 0, 0, 3, 20, 0, 0,
        3, 48, 0, 1, 72, 7, 0, 0, 0, 24, 0, 0, 3, 20, 0, 0, 3, 48, 0, 1, 72, 6, 0, 0, 0, 32, 0, 0,
        3, 20, 0, 0, 3, 78, 0, 1, 76, 13, 0, 0, 0, 40, 0, 0, 3, 20, 0, 0, 3, 78, 0, 1, 76, 8, 0, 0,
        0, 56, 0, 0, 3, 20, 0, 0, 3, 78, 0, 1, 76, 13, 0, 0, 0, 64, 0, 0, 3, 20, 0, 0, 3, 107, 0,
        1, 88, 17, 0, 0, 0, 112, 0, 0, 3, 20, 0, 0, 3, 176, 0, 1, 92, 10, 0, 0, 0, 120, 0, 0, 3,
        20, 0, 0, 3, 176, 0, 1, 92, 24, 0, 0, 0, 136, 0, 0, 3, 20, 0, 0, 3, 222, 0, 1, 104, 9, 0,
        0, 0, 160, 0, 0, 3, 20, 0, 0, 4, 2, 0, 1, 144, 10, 0, 0, 0, 192, 0, 0, 3, 20, 0, 0, 4, 38,
        0, 1, 148, 6, 0, 0, 0, 208, 0, 0, 3, 20, 0, 0, 4, 56, 0, 1, 160, 9, 0, 0, 0, 240, 0, 0, 3,
        20, 0, 0, 4, 114, 0, 1, 164, 6, 0, 0, 0, 248, 0, 0, 3, 20, 0, 0, 4, 126, 0, 1, 176, 15, 0,
        0, 1, 16, 0, 0, 3, 20, 0, 0, 4, 149, 0, 1, 180, 1, 0, 0, 1, 32, 0, 0, 3, 20, 0, 0, 4, 151,
        0, 1, 208, 0, 0, 0, 1, 56, 0, 0, 3, 20, 0, 0, 4, 215, 0, 1, 236, 7, 0, 0, 1, 64, 0, 0, 3,
        20, 0, 0, 3, 48, 0, 1, 72, 7, 0, 0, 1, 88, 0, 0, 3, 20, 0, 0, 3, 48, 0, 1, 72, 6, 0, 0, 1,
        104, 0, 0, 3, 20, 0, 0, 3, 78, 0, 1, 76, 13, 0, 0, 1, 112, 0, 0, 3, 20, 0, 0, 3, 78, 0, 1,
        76, 8, 0, 0, 1, 128, 0, 0, 3, 20, 0, 0, 3, 78, 0, 1, 76, 13, 0, 0, 1, 136, 0, 0, 3, 20, 0,
        0, 3, 107, 0, 1, 88, 17, 0, 0, 1, 184, 0, 0, 3, 20, 0, 0, 3, 176, 0, 1, 92, 10, 0, 0, 1,
        192, 0, 0, 3, 20, 0, 0, 3, 176, 0, 1, 92, 24, 0, 0, 1, 208, 0, 0, 3, 20, 0, 0, 3, 222, 0,
        1, 104, 9, 0, 0, 1, 240, 0, 0, 3, 20, 0, 0, 4, 2, 0, 1, 244, 10, 0, 0, 2, 16, 0, 0, 3, 20,
        0, 0, 4, 38, 0, 1, 248, 6, 0, 0, 2, 32, 0, 0, 3, 20, 0, 0, 4, 56, 0, 2, 4, 9, 0, 0, 2, 72,
        0, 0, 3, 20, 0, 0, 4, 114, 0, 2, 8, 6, 0, 0, 2, 96, 0, 0, 3, 20, 0, 0, 4, 226, 0, 2, 20, 6,
        0, 0, 2, 104, 0, 0, 3, 20, 0, 0, 5, 8, 0, 2, 32, 23, 0, 0, 2, 128, 0, 0, 3, 20, 0, 0, 5, 8,
        0, 2, 32, 6, 0, 0, 2, 136, 0, 0, 3, 20, 0, 0, 5, 39, 0, 2, 44, 14, 0, 0, 2, 168, 0, 0, 3,
        20, 0, 0, 5, 73, 0, 2, 48, 20, 0, 0, 2, 176, 0, 0, 3, 20, 0, 0, 5, 73, 0, 2, 48, 2, 0, 0,
        2, 216, 0, 0, 3, 20, 0, 0, 5, 104, 0, 2, 68, 19, 0, 0, 2, 232, 0, 0, 3, 20, 0, 0, 5, 131,
        0, 2, 148, 74, 0, 0, 3, 0, 0, 0, 3, 20, 0, 0, 5, 131, 0, 2, 148, 62, 0, 0, 3, 16, 0, 0, 3,
        20, 0, 0, 5, 131, 0, 2, 148, 74, 0, 0, 3, 32, 0, 0, 3, 20, 0, 0, 5, 131, 0, 2, 148, 9, 0,
        0, 3, 96, 0, 0, 3, 20, 0, 0, 5, 214, 0, 2, 152, 7, 0, 0, 3, 104, 0, 0, 3, 20, 0, 0, 5, 225,
        0, 2, 160, 72, 0, 0, 3, 112, 0, 0, 3, 20, 0, 0, 5, 225, 0, 2, 160, 56, 0, 0, 3, 120, 0, 0,
        3, 20, 0, 0, 5, 225, 0, 2, 160, 60, 0, 0, 3, 136, 0, 0, 3, 20, 0, 0, 5, 225, 0, 2, 160, 72,
        0, 0, 3, 144, 0, 0, 3, 20, 0, 0, 5, 225, 0, 2, 160, 9, 0, 0, 3, 192, 0, 0, 3, 20, 0, 0, 5,
        214, 0, 2, 164, 7, 0, 0, 3, 200, 0, 0, 3, 20, 0, 0, 6, 50, 0, 2, 176, 21, 0, 0, 4, 0, 0, 0,
        3, 20, 0, 0, 6, 50, 0, 2, 176, 7, 0, 0, 4, 40, 0, 0, 3, 20, 0, 0, 5, 131, 0, 2, 100, 74, 0,
        0, 4, 96, 0, 0, 3, 20, 0, 0, 5, 131, 0, 2, 100, 62, 0, 0, 4, 112, 0, 0, 3, 20, 0, 0, 5,
        131, 0, 2, 100, 74, 0, 0, 4, 120, 0, 0, 3, 20, 0, 0, 5, 131, 0, 2, 100, 9, 0, 0, 4, 176, 0,
        0, 3, 20, 0, 0, 5, 214, 0, 2, 104, 7, 0, 0, 4, 184, 0, 0, 3, 20, 0, 0, 6, 84, 0, 2, 220, 6,
        0, 0, 4, 200, 0, 0, 3, 20, 0, 0, 6, 84, 0, 2, 220, 20, 0, 0, 4, 240, 0, 0, 3, 20, 0, 0, 6,
        84, 0, 2, 220, 6, 0, 0, 5, 8, 0, 0, 3, 20, 0, 0, 6, 117, 0, 2, 224, 6, 0, 0, 5, 24, 0, 0,
        3, 20, 0, 0, 6, 117, 0, 2, 224, 16, 0, 0, 5, 32, 0, 0, 3, 20, 0, 0, 6, 117, 0, 2, 224, 6,
        0, 0, 5, 56, 0, 0, 3, 20, 0, 0, 6, 144, 0, 2, 240, 7, 0, 0, 5, 72, 0, 0, 3, 20, 0, 0, 4,
        149, 0, 2, 248, 1, 0, 0, 5, 88, 0, 0, 3, 20, 0, 0, 3, 48, 0, 1, 72, 7, 0, 0, 5, 112, 0, 0,
        3, 20, 0, 0, 3, 48, 0, 1, 72, 6, 0, 0, 5, 120, 0, 0, 3, 20, 0, 0, 3, 78, 0, 1, 76, 13, 0,
        0, 5, 128, 0, 0, 3, 20, 0, 0, 3, 78, 0, 1, 76, 8, 0, 0, 5, 144, 0, 0, 3, 20, 0, 0, 3, 78,
        0, 1, 76, 13, 0, 0, 5, 152, 0, 0, 3, 20, 0, 0, 3, 107, 0, 1, 88, 17, 0, 0, 5, 200, 0, 0, 3,
        20, 0, 0, 3, 176, 0, 1, 92, 10, 0, 0, 5, 208, 0, 0, 3, 20, 0, 0, 3, 176, 0, 1, 92, 24, 0,
        0, 5, 224, 0, 0, 3, 20, 0, 0, 3, 222, 0, 1, 104, 9, 0, 0, 5, 232, 0, 0, 3, 20, 0, 0, 4, 2,
        0, 3, 48, 10, 0, 0, 6, 8, 0, 0, 3, 20, 0, 0, 4, 38, 0, 3, 52, 6, 0, 0, 6, 24, 0, 0, 3, 20,
        0, 0, 4, 56, 0, 3, 64, 9, 0, 0, 6, 56, 0, 0, 3, 20, 0, 0, 4, 114, 0, 3, 68, 6, 0, 0, 6, 64,
        0, 0, 3, 20, 0, 0, 6, 157, 0, 3, 80, 15, 0, 0, 6, 72, 0, 0, 3, 20, 0, 0, 4, 149, 0, 3, 84,
        1, 0, 0, 14, 92, 0, 0, 0, 132, 0, 0, 0, 0, 0, 0, 6, 184, 0, 0, 6, 254, 0, 3, 156, 0, 0, 0,
        0, 16, 0, 0, 6, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 24, 0, 0, 6, 184, 0, 0, 6, 254, 0, 3,
        156, 1, 0, 0, 0, 56, 0, 0, 6, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 6, 184, 0, 0,
        6, 254, 0, 3, 156, 1, 0, 0, 0, 104, 0, 0, 6, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 112, 0,
        0, 6, 184, 0, 0, 7, 47, 0, 0, 160, 9, 0, 0, 0, 176, 0, 0, 6, 184, 0, 0, 7, 128, 0, 0, 168,
        7, 0, 0, 0, 184, 0, 0, 6, 184, 0, 0, 7, 143, 0, 0, 176, 7, 0, 0, 1, 0, 0, 0, 6, 184, 0, 0,
        7, 199, 0, 0, 196, 5, 0, 0, 1, 48, 0, 0, 6, 184, 0, 0, 7, 234, 0, 0, 208, 7, 0, 0, 1, 72,
        0, 0, 6, 184, 0, 0, 7, 248, 0, 0, 216, 7, 0, 0, 1, 144, 0, 0, 6, 184, 0, 0, 8, 58, 0, 0,
        100, 16, 0, 0, 1, 152, 0, 0, 6, 184, 0, 0, 8, 81, 0, 0, 96, 16, 0, 0, 1, 168, 0, 0, 6, 184,
        0, 0, 8, 104, 0, 0, 104, 22, 0, 0, 1, 176, 0, 0, 6, 184, 0, 0, 8, 154, 0, 0, 108, 19, 0, 0,
        1, 184, 0, 0, 6, 184, 0, 0, 8, 104, 0, 0, 104, 20, 0, 0, 1, 192, 0, 0, 6, 184, 0, 0, 8,
        183, 0, 0, 112, 19, 0, 0, 1, 200, 0, 0, 6, 184, 0, 0, 8, 227, 0, 0, 248, 17, 0, 0, 1, 208,
        0, 0, 6, 184, 0, 0, 8, 183, 0, 0, 112, 17, 0, 0, 1, 232, 0, 0, 6, 184, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 1, 240, 0, 0, 6, 184, 0, 0, 8, 253, 0, 1, 0, 7, 0, 0, 2, 32, 0, 0, 6, 184, 0, 0,
        8, 253, 0, 1, 0, 7, 0, 0, 2, 48, 0, 0, 6, 184, 0, 0, 8, 253, 0, 1, 0, 7, 0, 0, 2, 72, 0, 0,
        6, 184, 0, 0, 8, 253, 0, 1, 0, 7, 0, 0, 2, 112, 0, 0, 6, 184, 0, 0, 8, 253, 0, 1, 0, 7, 0,
        0, 2, 136, 0, 0, 6, 184, 0, 0, 8, 253, 0, 1, 0, 7, 0, 0, 2, 160, 0, 0, 6, 184, 0, 0, 8,
        253, 0, 1, 0, 48, 0, 0, 2, 168, 0, 0, 6, 184, 0, 0, 8, 253, 0, 1, 0, 7, 0, 0, 2, 184, 0, 0,
        6, 184, 0, 0, 9, 72, 0, 1, 8, 26, 0, 0, 2, 224, 0, 0, 6, 184, 0, 0, 9, 141, 0, 1, 12, 7, 0,
        0, 3, 0, 0, 0, 6, 184, 0, 0, 9, 219, 0, 1, 24, 3, 0, 0, 3, 24, 0, 0, 6, 184, 0, 0, 6, 254,
        0, 3, 156, 1, 0, 0, 3, 40, 0, 0, 6, 184, 0, 0, 9, 252, 0, 3, 184, 0, 0, 0, 3, 56, 0, 0, 6,
        184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 64, 0, 0, 6, 184, 0, 0, 9, 252, 0, 3, 184, 1, 0, 0,
        3, 96, 0, 0, 6, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 104, 0, 0, 6, 184, 0, 0, 9, 252, 0,
        3, 184, 1, 0, 0, 3, 144, 0, 0, 6, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 152, 0, 0, 6, 184,
        0, 0, 9, 252, 0, 3, 184, 1, 0, 0, 3, 184, 0, 0, 6, 184, 0, 0, 7, 199, 0, 1, 84, 5, 0, 0, 3,
        248, 0, 0, 6, 184, 0, 0, 7, 234, 0, 1, 96, 7, 0, 0, 4, 16, 0, 0, 6, 184, 0, 0, 7, 248, 0,
        1, 104, 7, 0, 0, 4, 88, 0, 0, 6, 184, 0, 0, 8, 58, 0, 0, 100, 16, 0, 0, 4, 104, 0, 0, 6,
        184, 0, 0, 8, 81, 0, 0, 96, 16, 0, 0, 4, 112, 0, 0, 6, 184, 0, 0, 8, 104, 0, 0, 104, 22, 0,
        0, 4, 120, 0, 0, 6, 184, 0, 0, 8, 154, 0, 0, 108, 19, 0, 0, 4, 128, 0, 0, 6, 184, 0, 0, 8,
        104, 0, 0, 104, 20, 0, 0, 4, 136, 0, 0, 6, 184, 0, 0, 8, 183, 0, 0, 112, 19, 0, 0, 4, 144,
        0, 0, 6, 184, 0, 0, 10, 63, 0, 1, 140, 20, 0, 0, 4, 160, 0, 0, 6, 184, 0, 0, 8, 183, 0, 0,
        112, 17, 0, 0, 4, 168, 0, 0, 6, 184, 0, 0, 10, 101, 0, 1, 144, 46, 0, 0, 4, 184, 0, 0, 6,
        184, 0, 0, 10, 101, 0, 1, 144, 9, 0, 0, 4, 240, 0, 0, 6, 184, 0, 0, 7, 128, 0, 1, 148, 7,
        0, 0, 4, 248, 0, 0, 6, 184, 0, 0, 10, 179, 0, 1, 156, 7, 0, 0, 5, 48, 0, 0, 6, 184, 0, 0,
        10, 233, 0, 1, 192, 3, 0, 0, 5, 80, 0, 0, 6, 184, 0, 0, 11, 11, 0, 1, 168, 16, 0, 0, 5,
        104, 0, 0, 6, 184, 0, 0, 9, 219, 0, 1, 176, 3, 0, 0, 5, 128, 0, 0, 6, 184, 0, 0, 9, 252, 0,
        3, 184, 1, 0, 0, 5, 144, 0, 0, 6, 184, 0, 0, 11, 35, 0, 3, 212, 0, 0, 0, 5, 160, 0, 0, 6,
        184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 168, 0, 0, 6, 184, 0, 0, 11, 35, 0, 3, 212, 1, 0, 0,
        5, 200, 0, 0, 6, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 208, 0, 0, 6, 184, 0, 0, 11, 35, 0,
        3, 212, 1, 0, 0, 5, 248, 0, 0, 6, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 6, 184, 0,
        0, 11, 35, 0, 3, 212, 1, 0, 0, 6, 32, 0, 0, 6, 184, 0, 0, 7, 199, 0, 1, 236, 5, 0, 0, 6,
        96, 0, 0, 6, 184, 0, 0, 7, 234, 0, 1, 248, 7, 0, 0, 6, 120, 0, 0, 6, 184, 0, 0, 7, 248, 0,
        2, 0, 7, 0, 0, 6, 192, 0, 0, 6, 184, 0, 0, 8, 81, 0, 0, 96, 16, 0, 0, 6, 208, 0, 0, 6, 184,
        0, 0, 8, 58, 0, 0, 100, 16, 0, 0, 6, 216, 0, 0, 6, 184, 0, 0, 8, 104, 0, 0, 104, 22, 0, 0,
        6, 224, 0, 0, 6, 184, 0, 0, 8, 154, 0, 0, 108, 19, 0, 0, 6, 232, 0, 0, 6, 184, 0, 0, 8,
        104, 0, 0, 104, 20, 0, 0, 6, 240, 0, 0, 6, 184, 0, 0, 8, 183, 0, 0, 112, 19, 0, 0, 6, 248,
        0, 0, 6, 184, 0, 0, 11, 92, 0, 2, 36, 20, 0, 0, 7, 0, 0, 0, 6, 184, 0, 0, 8, 183, 0, 0,
        112, 17, 0, 0, 7, 8, 0, 0, 6, 184, 0, 0, 10, 101, 0, 2, 40, 46, 0, 0, 7, 24, 0, 0, 6, 184,
        0, 0, 10, 101, 0, 2, 40, 9, 0, 0, 7, 80, 0, 0, 6, 184, 0, 0, 7, 128, 0, 2, 44, 7, 0, 0, 7,
        88, 0, 0, 6, 184, 0, 0, 10, 179, 0, 2, 52, 7, 0, 0, 7, 120, 0, 0, 6, 184, 0, 0, 11, 132, 0,
        2, 68, 41, 0, 0, 7, 136, 0, 0, 6, 184, 0, 0, 11, 132, 0, 2, 68, 9, 0, 0, 7, 192, 0, 0, 6,
        184, 0, 0, 7, 128, 0, 2, 76, 7, 0, 0, 7, 200, 0, 0, 6, 184, 0, 0, 11, 191, 0, 2, 84, 7, 0,
        0, 7, 224, 0, 0, 6, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 6, 184, 0, 0, 10, 233,
        0, 2, 124, 3, 0, 0, 8, 32, 0, 0, 6, 184, 0, 0, 11, 246, 0, 2, 100, 21, 0, 0, 8, 40, 0, 0,
        6, 184, 0, 0, 11, 246, 0, 2, 100, 15, 0, 0, 8, 56, 0, 0, 6, 184, 0, 0, 9, 219, 0, 2, 108,
        3, 0, 0, 8, 80, 0, 0, 6, 184, 0, 0, 11, 35, 0, 3, 212, 1, 0, 0, 8, 96, 0, 0, 6, 184, 0, 0,
        12, 30, 0, 3, 244, 0, 0, 0, 8, 112, 0, 0, 6, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 120, 0,
        0, 6, 184, 0, 0, 12, 30, 0, 3, 244, 1, 0, 0, 8, 152, 0, 0, 6, 184, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 8, 160, 0, 0, 6, 184, 0, 0, 12, 30, 0, 3, 244, 1, 0, 0, 8, 200, 0, 0, 6, 184, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 8, 208, 0, 0, 6, 184, 0, 0, 12, 85, 0, 2, 164, 9, 0, 0, 9, 0, 0, 0,
        6, 184, 0, 0, 7, 128, 0, 2, 168, 7, 0, 0, 9, 8, 0, 0, 6, 184, 0, 0, 12, 129, 0, 2, 176, 7,
        0, 0, 9, 80, 0, 0, 6, 184, 0, 0, 7, 199, 0, 2, 196, 5, 0, 0, 9, 128, 0, 0, 6, 184, 0, 0, 7,
        234, 0, 2, 208, 7, 0, 0, 9, 152, 0, 0, 6, 184, 0, 0, 7, 248, 0, 2, 216, 7, 0, 0, 9, 232, 0,
        0, 6, 184, 0, 0, 8, 58, 0, 0, 100, 16, 0, 0, 9, 240, 0, 0, 6, 184, 0, 0, 8, 81, 0, 0, 96,
        16, 0, 0, 10, 0, 0, 0, 6, 184, 0, 0, 8, 104, 0, 0, 104, 22, 0, 0, 10, 8, 0, 0, 6, 184, 0,
        0, 8, 154, 0, 0, 108, 19, 0, 0, 10, 16, 0, 0, 6, 184, 0, 0, 8, 104, 0, 0, 104, 20, 0, 0,
        10, 24, 0, 0, 6, 184, 0, 0, 8, 183, 0, 0, 112, 19, 0, 0, 10, 40, 0, 0, 6, 184, 0, 0, 12,
        189, 0, 2, 252, 20, 0, 0, 10, 48, 0, 0, 6, 184, 0, 0, 8, 183, 0, 0, 112, 17, 0, 0, 10, 56,
        0, 0, 6, 184, 0, 0, 10, 101, 0, 3, 0, 46, 0, 0, 10, 72, 0, 0, 6, 184, 0, 0, 10, 101, 0, 3,
        0, 9, 0, 0, 10, 128, 0, 0, 6, 184, 0, 0, 7, 128, 0, 3, 4, 7, 0, 0, 10, 136, 0, 0, 6, 184,
        0, 0, 10, 179, 0, 3, 12, 7, 0, 0, 10, 168, 0, 0, 6, 184, 0, 0, 12, 227, 0, 3, 28, 7, 0, 0,
        10, 176, 0, 0, 6, 184, 0, 0, 12, 227, 0, 3, 28, 7, 0, 0, 10, 200, 0, 0, 6, 184, 0, 0, 12,
        249, 0, 3, 44, 13, 0, 0, 11, 0, 0, 0, 6, 184, 0, 0, 13, 40, 0, 3, 48, 11, 0, 0, 11, 8, 0,
        0, 6, 184, 0, 0, 13, 59, 0, 3, 56, 4, 0, 0, 11, 40, 0, 0, 6, 184, 0, 0, 13, 106, 0, 3, 72,
        18, 0, 0, 11, 64, 0, 0, 6, 184, 0, 0, 13, 144, 0, 3, 76, 68, 0, 0, 11, 72, 0, 0, 6, 184, 0,
        0, 13, 144, 0, 3, 76, 41, 0, 0, 11, 88, 0, 0, 6, 184, 0, 0, 13, 144, 0, 3, 76, 13, 0, 0,
        11, 128, 0, 0, 6, 184, 0, 0, 13, 40, 0, 3, 80, 11, 0, 0, 11, 136, 0, 0, 6, 184, 0, 0, 13,
        223, 0, 3, 88, 4, 0, 0, 11, 160, 0, 0, 6, 184, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 11, 192, 0, 0,
        6, 184, 0, 0, 10, 233, 0, 3, 132, 3, 0, 0, 11, 224, 0, 0, 6, 184, 0, 0, 14, 19, 0, 3, 108,
        17, 0, 0, 11, 232, 0, 0, 6, 184, 0, 0, 14, 19, 0, 3, 108, 15, 0, 0, 11, 248, 0, 0, 6, 184,
        0, 0, 9, 219, 0, 3, 116, 3, 0, 0, 12, 16, 0, 0, 6, 184, 0, 0, 12, 30, 0, 3, 244, 1, 0, 0,
        0, 16, 0, 0, 14, 86, 0, 0, 0, 3, 0, 0, 0, 32, 0, 0, 0, 41, 0, 0, 14, 47, 0, 0, 0, 0, 0, 0,
        1, 104, 0, 0, 0, 41, 0, 0, 14, 47, 0, 0, 0, 0, 0, 0, 5, 120, 0, 0, 0, 41, 0, 0, 14, 47, 0,
        0, 0, 0, 0, 0, 14, 92, 0, 0, 0, 10, 0, 0, 0, 120, 0, 0, 0, 60, 0, 0, 14, 53, 0, 0, 0, 9, 0,
        0, 1, 216, 0, 0, 0, 60, 0, 0, 14, 55, 0, 0, 0, 0, 0, 0, 1, 248, 0, 0, 0, 60, 0, 0, 14, 55,
        0, 0, 0, 1, 0, 0, 2, 112, 0, 0, 0, 60, 0, 0, 14, 55, 0, 0, 0, 4, 0, 0, 2, 120, 0, 0, 0, 60,
        0, 0, 14, 55, 0, 0, 0, 3, 0, 0, 2, 136, 0, 0, 0, 60, 0, 0, 14, 55, 0, 0, 0, 5, 0, 0, 2,
        152, 0, 0, 0, 60, 0, 0, 14, 55, 0, 0, 0, 5, 0, 0, 2, 176, 0, 0, 0, 60, 0, 0, 14, 59, 0, 0,
        0, 1, 0, 0, 2, 192, 0, 0, 0, 60, 0, 0, 14, 59, 0, 0, 0, 0, 0, 0, 2, 240, 0, 0, 0, 60, 0, 0,
        14, 59, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 32,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 2, 63, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 0, 0, 0, 2, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 128, 0, 0, 0, 0, 0, 0, 5, 112, 0,
        0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 17, 0, 0, 0,
        1, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7, 240, 0, 0, 0, 0, 0,
        0, 6, 88, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        23, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 6, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14, 72,
        0, 0, 0, 0, 0, 0, 12, 32, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 28, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 26, 104, 0, 0, 0, 0, 0, 0, 0, 80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 34, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 26, 184, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 42, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 26, 188, 0, 0, 0, 0, 0, 0, 1, 219, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 30, 0, 0, 0, 9, 0, 0, 0, 0, 0,
        0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 28, 152, 0, 0, 0, 0, 0, 0, 0, 144, 0,
        0, 0, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0, 2, 40, 0, 0, 0,
        9, 0, 0, 0, 0, 0, 0, 0, 64, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 29, 40, 0, 0, 0, 0,
        0, 0, 2, 80, 0, 0, 0, 2, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0, 0, 0, 0, 16, 0, 0,
        2, 49, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 31,
        120, 0, 0, 0, 0, 0, 0, 22, 153, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 2, 54, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 54, 24, 0, 0, 0, 0, 0, 0, 14, 132, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        8, 0, 0, 0, 0, 0, 0, 0, 0,
    ];
}
